//////////////////////////////////////////////
// Perdefinierte Funktionen und Funktionsinitialisierungen

function EVNT_Abprall();
function EFFEKT_ATT_1(du, num);
function Effekt_Schlaf();
function Schweif_mid_Weiss();

function FNCT_Vegeta_Schatten()
{
MY.UNLIT = ON;
//MY.NOFOG = ON;

MY.PASSABLE = ON;
MY.ORIENTED = ON;

	VEC_TO_ANGLE (MY.PAN, NORMAL);

	MY.SCALE_X = (YOU.MAX_X - YOU.MIN_X) / (MY.MAX_X - MY.MIN_X);
	MY.SCALE_Y = MY.SCALE_X;
	MY.Z += 4;
}

function FNCT_Schatten_Aktu()
{
	YOU = MY._Schatten;
	YOU.X = TEMP_TARGET.X;
	YOU.Y = TEMP_TARGET.Y;
	YOU.Z = TEMP_TARGET.Z + 2;
	VEC_TO_ANGLE (YOU.PAN, TEMP_NORMAL.X);
}

function FNCT_Kleine_Wellen()
{
MY.SKIN = INT(Random(3))+1;
MY._winkel = Random(4)-2;

	MY._Str = 1;
	MY.PAN = Random(360);
	MY.PASSABLE = ON;
	MY.SCALE_X = 1;
	MY.SCALE_Y = 1;
	MY.AMBIENT = 100;
	MY.FLARE = ON;
	MY.TRANSPARENT = ON;
	MY.BRIGHT = ON;
	MY.ALPHA = 45;

	WHILE (1) {
		MY.SCALE_X += 0.125 * TIME;
		MY.SCALE_Y += 0.125 * TIME;
		MY.X -= Wasserbewegung.X * TIME;
		MY.Y -= Wasserbewegung.Y * TIME;
		MY.ALPHA -= 2.4 * TIME;
		MY.PAN += MY._winkel * TIME;
		IF (MY.ALPHA <= 0) { ENT_REMOVE (MY); RETURN; }
	WAIT (1);
	}
}

function FNCT_Grosse_Wellen()
{
MY.SKIN = INT(Random(3))+1;
MY._winkel = Random(4)-2;

	MY._Str = 1;
	MY.PAN = Random(360);
	MY.X += Random(10) - 5;
	MY.Y += Random(10) - 5;
	MY.PASSABLE = ON;
	MY.SCALE_X = 2.5;
	MY.SCALE_Y = 2.5;
	MY.AMBIENT = 100;
	MY.FLARE = ON;
	MY.TRANSPARENT = ON;
	MY.BRIGHT = ON;
	MY.ALPHA = 60;
	WHILE (1) {
		MY.Z = Globale[9] + 1;
//		MY.Z = FSIN(total_ticks, 4) + 57;
		MY.SCALE_X += 0.3 * TIME;;
		MY.SCALE_Y += 0.3 * TIME;;
		MY.ALPHA -= 4 * TIME;
		MY.PAN += MY._winkel * TIME;
		IF (MY.ALPHA <= NULL) { ENT_REMOVE (MY); RETURN; }
	WAIT (1);
	}
}

function FNCT_Bugwellen()
{
MY.TRANSPARENT = ON;
MY.PASSABLE = ON;
MY.ORIENTED = ON;
MY.UNLIT = ON;
MY.AMBIENT = 100;
MY.NOFOG = ON;
MY.BRIGHT = ON;
	MY.FRAME = INT(Random(2)+1);

TEMP.X = NULL;
TEMP.Y = NULL;
TEMP.Z = 1;
	VEC_TO_ANGLE (MY.PAN, TEMP.X);

	MY.PAN += 90;

	MY._speed_n_save_X = MY.X;

	WHILE (1) {

		IF (MY.ALPHA < NULL) {
			MY.ALPHA = 50;
			MY.X = MY._speed_n_save_X + Random(8)-4;
			MY.FRAME = INT(Random(2)+1);
		}

		MY.ALPHA -= 0.666 * TIME;
		MY.X -= Wasserbewegung.X * (1.3 - (MY.ALPHA / 50)) * TIME;
		MY.Z = Globale[9] + 0.2;
		MY.SCALE_X = 3.5 - (MY.ALPHA / 14.3);
		MY.SCALE_Y = MY.SCALE_X;

	WAIT (1);
	}
}

function FNCT_Bugwellen_Init(posx)
{
var count = 18;
	WHILE (count > 0) {
		TEMP.X = posx; TEMP.Y = NULL; TEMP.Z = NULL;
		ENT_CREATE ("Wasser+2.tga", TEMP.X, FNCT_Bugwellen);
		count -= 1;
	WAITT (4);
	}
}


function FNCT_Schildtext_pos()
{
	WHILE (PLAYER) {
		VEC_TO_SCREEN (Schild_Platz, CAMERA);
//			Schild_Platz.X -= 65;
//			Schild_Platz.Y += 50;

			show_Schildtext.POS_X = Schild_Platz.X;
			show_Schildtext.POS_Y = Schild_Platz.Y;

	WAIT (1);
	}
}


starter FNCT_Spieldaten()
{
var tmr1;
var tmr2;
	WHILE (1) {
		IF (PLAYER) {

			tmr1[0] += TIME;
			IF (tmr1[0] >= 16) {
				Spieldaten[0] += 1;	// Spielzeit in sec.
				tmr1[0] = 0;
			}

			IF ((PLAYER._Aktion == 20) || (PLAYER._Aktion == 30)) {
				IF ((PLAYER._Main_Anim > 25) && (PLAYER._Main_Anim < 50) || (PLAYER._Main_Anim > 75) && (PLAYER._Main_Anim < 100)) {
					IF (!tmr1[1]) {
						Spieldaten[1] += 1;
						tmr1[1] = 1;
					}	// Schritte zaehlen
				} ELSE { tmr1[1] = 0; }
			}

			IF (PLAYER._Aktion == 50) {
				IF (!tmr1[2]) {
					Spieldaten[2] += 1;
					tmr1[2] = 1;
				}
			} ELSE { tmr1[2] = 0; }
		}
	WAIT (1);
	}
}


function FNCT_Skillsteigerung(Zauber)
{

STR_CPY (MMS, Spielername);

	IF (PLAYER._Blocken != 1) {
		IF (INT(PLAYER._Aktion / 10) == 5) {
//		IF (choosen_weapon == 1) { ect.
	
			IF ((Waffen[6] != 10) && (Waffen[6] != 20)) {
				Gains[Waffen[6]] = 0; Skills[Waffen[6]] += 1;
				PLAYER._Kampfskill = Skills[Waffen[6]];
	
				TEMP = INT(Skills[Waffen[6]] / 10);
				IF (TEMP == Skills[Waffen[6]] / 10) {
					STR_FOR_NUM (TEMP_STRING, TEMP);
					IF (Waffen[6] == 0) { STR_CAT (MMS, Gain_1); }
					IF (Waffen[6] == 1) { STR_CAT (MMS, Gain_2); }
					IF (Waffen[6] == 2) { STR_CAT (MMS, Gain_3); }
					IF (Waffen[6] == 3) { STR_CAT (MMS, Gain_4); }
					IF (Waffen[6] == 4) { STR_CAT (MMS, Gain_5); }
					STR_CAT (MMS, TEMP_STRING);
					STR_CAT (MMS, ".");
				} ELSE {
					IF (Waffen[6] == 0) { STR_CAT (MMS, Gain_6); }
					IF (Waffen[6] == 1) { STR_CAT (MMS, Gain_7); }
					IF (Waffen[6] == 2) { STR_CAT (MMS, Gain_8); }
					IF (Waffen[6] == 3) { STR_CAT (MMS, Gain_9); }
					IF (Waffen[6] == 4) { STR_CAT (MMS, Gain_10); }
				}
	
			}
		}
	
		IF (INT(PLAYER._Aktion / 10) == 7) {
			Gains[7 + Zauber] = 0;
			Elementskill[Zauber] += 1;
			IF (Zauber == Eis)   { STR_CAT (MMS, Gain_11); }
			IF (Zauber == Feuer) { STR_CAT (MMS, Gain_12); }
			IF (Zauber == Gaja)  { STR_CAT (MMS, Gain_13); }
		}
	} ELSE {
		Gains[Waffen[7]] = 0; Skills[Waffen[7]] += 1;
		PLAYER._Parrierskill = Skills[5];

		TEMP = INT(Skills[5] / 10);
		IF (TEMP == Skills[5] / 10) {
			STR_FOR_NUM (TEMP_STRING, TEMP);
			STR_CAT (MMS, Gain_14);
			STR_CAT (MMS, TEMP_STRING);
			STR_CAT (MMS, ".");
		} ELSE {
			STR_CAT (MMS, Gain_15);
		}
	}

MMS_Queue(48);

}

function FNCT_Skillgains(Zauber, Anspruchsgrad)
{
	IF (PLAYER._Blocken != 1) {	// Bei == 1 wurde ein Blocken initialisiert
		IF (INT(PLAYER._Aktion / 10) == 5) {
			TEMP /= (PLAYER._Str + PLAYER._Vit + PLAYER._Ges + PLAYER._Agi + PLAYER._PDam + PLAYER._PDef);
			TEMP *= PLAYER._Attack_Power;
	
			IF ((Waffen[6] != 10) && (Waffen[6] != 20)) {
				Gains[Waffen[6]] += (1000 * TEMP * Multiplikatoren[0]) / (2 + 3 * Skills[Waffen[6]]);
				IF (Gains[Waffen[6]] >= 1000) { FNCT_Skillsteigerung(); }
			}
		}
		IF (INT(PLAYER._Aktion / 10) == 7) {
			TEMP = Anspruchsgrad / (Elementskill[Zauber] + 30);	// Maximaler Gain bei vollaufladung
			Gains[7 + Zauber] += (1000 * TEMP * Multiplikatoren[0]) / (1 + 0.5 * Elementskill[Zauber]);
				IF (Gains[7 + Zauber] >= 1000) { FNCT_Skillsteigerung(Zauber); }
		}
	} ELSE {
		Gains[Waffen[7]] += (1000 * (20 / TEMP) * Multiplikatoren[0]) / (1 + 2 * Skills[Waffen[7]]);
			IF (Gains[Waffen[7]] >= 1000) { FNCT_Skillsteigerung(); }
	}
}

function FNCT_Statgains(Anspruchsgrad)
{

	IF (INT(PLAYER._Aktion / 10) == 5) {
		TEMP /= (PLAYER._Str + PLAYER._Vit + PLAYER._Ges + PLAYER._Agi + PLAYER._PDam + PLAYER._PDef);
		TEMP *= PLAYER._Attack_Power * Anspruchsgrad;

		Gains[13] += (1000 * TEMP * Multiplikatoren[0]) / (2 + 1.5 * Playerwerte[0]);
		Gains[15] += (1000 * TEMP * Multiplikatoren[0]) / (2 + 1.3 * Playerwerte[2]);
		Gains[16] += (1000 * TEMP * Multiplikatoren[0]) / (2 + 1.6 * Playerwerte[3]);
	}

	IF (INT(PLAYER._Aktion / 10) == 7) {
		Gains[17] += (1000 * Anspruchsgrad * Multiplikatoren[0]) / (1 + 1.5 * Playerwerte[4]);
		Gains[18] += (1000 * Anspruchsgrad * Multiplikatoren[0]) / (1 + 1.2 * Playerwerte[5]);
	}

	IF (INT(PLAYER._Aktion / 10) == 8) {
		TEMP /= (PLAYER._Str + PLAYER._Vit + PLAYER._Ges + PLAYER._Agi + PLAYER._PDam + PLAYER._PDef);

		Gains[14] += (1000 * TEMP * Multiplikatoren[0]) / (2 + 0.5 * Playerwerte[1]);
	}

	IF ((Gains[13] >= 1000) && (Playerwerte[9] > Playerwerte[0])) { 
		Gains[13] = 0; Playerwerte[0] += 1; PLAYER._Str += 1;
		STR_CPY (MMS, Spielername);
		STR_CAT (MMS, Gain_16);
		MMS_Queue(48);
	}
	IF ((Gains[14] >= 1000) && (Playerwerte[10] > Playerwerte[1])) { 
		Gains[14] = 0; Playerwerte[1] += 1; PLAYER._Vit += 1;
		STR_CPY (MMS, Spielername);
		STR_CAT (MMS, Gain_17);
		MMS_Queue(48);
	}
	IF ((Gains[15] >= 1000) && (Playerwerte[11] > Playerwerte[2])) { 
		Gains[15] = 0; Playerwerte[2] += 1; PLAYER._Ges += 1;
		STR_CPY (MMS, Spielername);
		STR_CAT (MMS, Gain_18);
		MMS_Queue(48);
	}
	IF ((Gains[16] >= 1000) && (Playerwerte[12] > Playerwerte[3])) { 
		Gains[16] = 0; Playerwerte[3] += 1; PLAYER._Agi += 1;
		STR_CPY (MMS, Spielername);
		STR_CAT (MMS, Gain_19);
		MMS_Queue(48);
	}
	IF ((Gains[17] >= 1000) && (Playerwerte[13] > Playerwerte[4])) { 
		Gains[17] = 0; Playerwerte[4] += 1; PLAYER._Int += 1;
		STR_CPY (MMS, Spielername);
		STR_CAT (MMS, Gain_20);
		MMS_Queue(48);
	}
	IF ((Gains[18] >= 1000) && (Playerwerte[14] > Playerwerte[5])) { 
		Gains[18] = 0; Playerwerte[5] += 1; PLAYER._Wei += 1;
		STR_CPY (MMS, Spielername);
		STR_CAT (MMS, Gain_21);
		MMS_Queue(48);
	}
}

function FNCT_Gegnerzahlen()	// nichtmehr genutzt
{
var nummerx = 0;
var nummery = 0;
YOU = ENT_NEXT(nummerx);
nummerx = YOU;
nummery = YOU;
YOU = ENT_NEXT(nummerx);
nummerx = YOU;

Globale[0] = 1;

Anfang:

		IF (YOU) {
			IF (YOU._charakter < 1000) {
//				IF (nummerx == nummery) { GOTO Ende; }
				YOU = ENT_NEXT(nummerx);
				nummerx = YOU; GOTO Anfang;
			} ELSE {
				Globale[0] += 1;
//				IF (nummerx == nummery) { GOTO Ende; }
				YOU = ENT_NEXT(nummerx);
				nummerx = YOU; GOTO Anfang;
			}
		}

Ende:
}

function FNCT_Zahl_auswerten(Aktuell, Wert)
{

	IF (Wert < 250) {

		IF (Aktuell == 0) { ME = ENT_CREATE ("k0.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 1) { ME = ENT_CREATE ("k1.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 2) { ME = ENT_CREATE ("k2.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 3) { ME = ENT_CREATE ("k3.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 4) { ME = ENT_CREATE ("k4.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 5) { ME = ENT_CREATE ("k5.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 6) { ME = ENT_CREATE ("k6.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 7) { ME = ENT_CREATE ("k7.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 8) { ME = ENT_CREATE ("k8.tga", TEMP.X, NULL); } ELSE {
		ME = ENT_CREATE ("k9.tga", TEMP.X, NULL); } } } } } } } } }

	} ELSE {

		IF (Aktuell == 0) { ME = ENT_CREATE ("b0.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 1) { ME = ENT_CREATE ("b1.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 2) { ME = ENT_CREATE ("b2.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 3) { ME = ENT_CREATE ("b3.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 4) { ME = ENT_CREATE ("b4.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 5) { ME = ENT_CREATE ("b5.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 6) { ME = ENT_CREATE ("b6.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 7) { ME = ENT_CREATE ("b7.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 8) { ME = ENT_CREATE ("b8.tga", TEMP.X, NULL); } ELSE {
		IF (Aktuell == 9) { ME = ENT_CREATE ("b9.tga", TEMP.X, NULL); } ELSE {
		ME = ENT_CREATE ("miss.tga", TEMP.X, NULL); } } } } } } } } } }

	}

	IF (ME) {

		MY.FACING = ON;
		MY.OVERLAY = ON;
		MY.UNLIT = ON;
		MY.AMBIENT = 50;
		MY.NOFOG = ON;
		MY.PASSABLE = ON;
		MY.TRANSPARENT = ON;
		MY.ALPHA = 100;
		
		MY.SCALE_X = 0.6;
		MY.SCALE_Y = MY.SCALE_X;
		MY.SCALE_Z = MY.SCALE_X;
		
		MY._SPEED_Z = MY.Z;
		
		MY.LIGHT = ON;
		MY.RED = rgb[0];
		MY.GREEN = rgb[1];
		MY.BLUE = rgb[2];
		
			WHILE (MY._TIMER < 180) {
				MY.Z = MY._SPEED_Z + FSIN(MY._TIMER, 48);
				MY._TIMER += 18 * TIME;
			WAIT (1);
			}
		
			MY._TIMER = 0;
			WHILE (MY._TIMER < 180) {
				MY.Z = MY._SPEED_Z + FSIN(MY._TIMER, 24);
				MY._TIMER += 18 * TIME;
			WAIT (1);
			}
		
			MY._TIMER = 0;
			WHILE (MY._TIMER < 180) {
				MY.Z = MY._SPEED_Z + FSIN(MY._TIMER, 8);
				MY._TIMER += 18 * TIME;
				MY.ALPHA = (180 - MY._TIMER) / 1.8;
				MY.AMBIENT = MY.ALPHA / 2;
			WAIT (1);
			}
		
		ENT_REMOVE (MY);
	}
}

function FNCT_Schadenszahl(Wert, Farbe)
{
var Aktuell;

Wert *= 10;

TEMP.X = MY.X -  8 + Random(16);
TEMP.Y = MY.Y -  8 + Random(16);
TEMP.Z = MY.Z + 56 + Random(16);

ME = NULL;

IF (Farbe ==  3) { rgb[0] = 255; rgb[1] =   0; rgb[2] =   0; }	// rot
IF (Farbe ==  4) { rgb[0] = 255; rgb[1] = 255; rgb[2] =   0; }	// gelb
IF (Farbe ==  5) { rgb[0] =   0; rgb[1] =   0; rgb[2] = 255; }	// blau
IF (Farbe ==  6) { rgb[0] = 255; rgb[1] = 255; rgb[2] = 255; }	// weiss
IF (Farbe ==  7) { rgb[0] = 255; rgb[1] =  64; rgb[2] =   0; }	// range
IF (Farbe ==  8) { rgb[0] = 255; rgb[1] =   0; rgb[2] = 255; }	// violett
IF (Farbe ==  9) { rgb[0] =   0; rgb[1] = 128; rgb[2] =   0; }	// gruen
IF (Farbe == 10) { rgb[0] = 128; rgb[1] =  64; rgb[2] =   0; }	// braun
IF (Farbe == 11) { rgb[0] =   0; rgb[1] = 128; rgb[2] = 128; }	// tuerkis (gruenblau)
IF (Farbe == 12) { rgb[0] = 255; rgb[1] = 255; rgb[2] =   0; }	// gelb
IF (Farbe == 13) { rgb[0] =   0; rgb[1] =  64; rgb[2] =  64; }	// dunkeltuerkis

	IF (Wert >= 10000) {
		Aktuell = Wert;
		FNCT_Zahl_auswerten(Aktuell, Wert);

		RETURN;
	}

	IF (Wert >= 1000) {
		TEMP.X -= 12;
		Aktuell = INT(Wert / 1000);
		FNCT_Zahl_auswerten(Aktuell, Wert);

		TEMP.X += 8;
		Aktuell = INT(Wert / 100);
		WHILE (Aktuell >= 10) { Aktuell -= 10; }
		FNCT_Zahl_auswerten(Aktuell, Wert);

		TEMP.X += 8;
		Aktuell = INT(Wert / 10);
		WHILE (Aktuell >= 10) { Aktuell -= 10; }
		FNCT_Zahl_auswerten(Aktuell, Wert);

		TEMP.X += 8;
		Aktuell = Wert;
		WHILE (Aktuell >= 10) { Aktuell -= 10; }
		Aktuell = INT(Aktuell);
		FNCT_Zahl_auswerten(Aktuell, Wert);

		RETURN;
	}

	IF (Wert >= 100) {
		TEMP.X -= 8;
		Aktuell = INT(Wert / 100);
		FNCT_Zahl_auswerten(Aktuell, Wert);

		TEMP.X += 8;
		Aktuell = INT(Wert / 10);
		WHILE (Aktuell >= 10) { Aktuell -= 10; }
		FNCT_Zahl_auswerten(Aktuell, Wert);

		TEMP.X += 8;
		Aktuell = Wert;
		WHILE (Aktuell >= 10) { Aktuell -= 10; }
		Aktuell = INT(Aktuell);
		FNCT_Zahl_auswerten(Aktuell, Wert);

		RETURN;
	}

	IF (Wert >= 10) {
		TEMP.X -= 4;
		Aktuell = INT(Wert / 10);
		FNCT_Zahl_auswerten(Aktuell, Wert);

		TEMP.X += 8;
		Aktuell = Wert;
		WHILE (Aktuell >= 10) { Aktuell -= 10; }
		Aktuell = INT(Aktuell);
		FNCT_Zahl_auswerten(Aktuell, Wert);

		RETURN;
	}

		Aktuell = INT(Wert);
		FNCT_Zahl_auswerten(Aktuell, Wert);

		RETURN;
}


function STR_Anzeigen()
{
var TIMER;

TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen

	IF (TEMP == 49) {
		STR_CPY (Dialog_1, "");

		WHILE (STR_LEN (Dialog_vorlage) > 0) {	// String auslesen und zeitlich abspielen:
			TIMER += 1;

			wind_Dialog_STR_1.VISIBLE = ON;
			wind_Dialog_STR_1.POS_Y =  20;
			wind_Dialog_STR_2.POS_Y = 200;

//			TIMER += 1 + KEY_PRESSED (Eingabewerte[5]) * 3;
//			IF (TIMER >= 4) {
//				TIMER = 0;
				TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
				STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
				STR_CPY (TEMP_STRING, "");			// Leert Temp
				STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
				STR_CAT (Dialog_1, TEMP_STRING);	// Temp wird angehaengt
//			}
				IF (STR_LEN (Dialog_vorlage) <= 0) { RETURN; }
				IF (KEY_PRESSED (Eingabewerte[5])) {
					TIMER += 1;
					TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
					STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
					STR_CPY (TEMP_STRING, "");			// Leert Temp
					STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
					STR_CAT (Dialog_1, TEMP_STRING);	// Temp wird angehaengt
					IF (STR_LEN (Dialog_vorlage) <= 0) { RETURN; }
					TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
					STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
					STR_CPY (TEMP_STRING, "");			// Leert Temp
					STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
					STR_CAT (Dialog_1, TEMP_STRING);	// Temp wird angehaengt
					IF (STR_LEN (Dialog_vorlage) <= 0) { RETURN; }
					TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
					STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
					STR_CPY (TEMP_STRING, "");			// Leert Temp
					STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
					STR_CAT (Dialog_1, TEMP_STRING);	// Temp wird angehaengt
				}

			IF (TIMER >= 2) {
				TIMER = 0;
				SND_PLAY(fliessfx, 50, 0);
			}

		WAITT (1);
		}

	} ELSE {

		STR_CPY (Dialog_2, "");

		WHILE (STR_LEN (Dialog_vorlage) > 0) {	// String auslesen und zeitlich abspielen:
			TIMER += 1;

			wind_Dialog_STR_2.VISIBLE = ON;
			wind_Dialog_STR_1.POS_Y = 200;
			wind_Dialog_STR_2.POS_Y =  20;

//			TIMER += 1 + KEY_PRESSED (Eingabewerte[5]) * 3;
//			IF (TIMER >= 4) {
//				TIMER = 0;
				TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
				STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
				STR_CPY (TEMP_STRING, "");			// Leert Temp
				STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
				STR_CAT (Dialog_2, TEMP_STRING);	// Temp wird angehaengt
//			}
				IF (STR_LEN (Dialog_vorlage) <= 0) { RETURN; }
				IF (KEY_PRESSED (Eingabewerte[5])) {
					TIMER += 1;
					TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
					STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
					STR_CPY (TEMP_STRING, "");			// Leert Temp
					STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
					STR_CAT (Dialog_2, TEMP_STRING);	// Temp wird angehaengt
					IF (STR_LEN (Dialog_vorlage) <= 0) { RETURN; }
					TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
					STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
					STR_CPY (TEMP_STRING, "");			// Leert Temp
					STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
					STR_CAT (Dialog_2, TEMP_STRING);	// Temp wird angehaengt
					IF (STR_LEN (Dialog_vorlage) <= 0) { RETURN; }
					TEMP = STR_TO_ASC (Dialog_vorlage);	// Temp hat den ASCII Wert des ersten Zeichens
					STR_CLIP (Dialog_vorlage, 1);			// Vernichtet das erste Zeichen
					STR_CPY (TEMP_STRING, "");			// Leert Temp
					STR_FOR_ASC (TEMP_STRING, TEMP);	// In Temp wird das ASCII Zeichen konvertiert
					STR_CAT (Dialog_2, TEMP_STRING);	// Temp wird angehaengt
				}

			IF (TIMER >= 2) {
				TIMER = 0;
				SND_PLAY(fliessfx, 50, 0);
			}

		WAITT (1);
		}

	}

}

starter SMS_Einblenden()
{
//var TIMER;
	WHILE (1) {
//		IF ((STR_LEN(SMS)) && (!TIMER.Y)) { TIMER.X = 48; TIMER.Y = 1; }
//		IF (TIMER.X > 0) { TIMER.X -= TIME; wind_SMS.VISIBLE = ON; } ELSE { STR_CPY (SMS, ""); wind_SMS.VISIBLE = OFF; TIMER.Y = 0; }
		IF (STR_LEN(SMS)) {
			wind_SMS.VISIBLE = ON;
			WAITT (48);
			STR_CPY (SMS, "");
			wind_SMS.VISIBLE = OFF;
			IF (PLAYER) {
				IF (PLAYER._KP < 0.5) {
					LANG_BMAP_LOAD_Butt_X(Globale[11]);
					WAITT (16);
					show_death.VISIBLE = ON;
					MOUSE_MODE = 2;
					Maeusli();
				}
			}
		}
	WAIT (1);
	}
}

function STR_Levelbuchstaben(zign, nummer)
{
var tPOS;	// X-Pos, Y-Pos, Timer (Z)
tPOS.X = 1152 - nummer * 20;
tPOS.Y = 50;
	WAITT (8);	// Framereateschwankungen nach dem Laden vergehen lassen
	WHILE (tPOS.Z < 16) {
		IF (show_Loading.VISIBLE) { RETURN; }
		STR_CPY (TEMP_STRING, "");			// Leert Temp
		STR_FOR_ASC (TEMP_STRING, zign);	// In Temp wird das ASCII Zeichen konvertiert

		tPOS.X = 1232 - nummer * 20 - tPOS.Z * 32;
		tPOS.Y = 50 + FSIN(tPOS.Z * 5.625, 64);
		DRAW_TEXT (TEMP_STRING, tPOS.X, tPOS.Y, VECTOR (  0,  0,  0));
		tPOS.X -= 1; tPOS.Y -= 1;
		DRAW_TEXT (TEMP_STRING, tPOS.X, tPOS.Y, VECTOR (255,255,255));
		tPOS.Z += TIME;
	WAIT (1);
	}
	WHILE (tPOS.Z < 64) {
		IF (show_Loading.VISIBLE) { RETURN; }
		STR_CPY (TEMP_STRING, "");			// Leert Temp
		STR_FOR_ASC (TEMP_STRING, zign);	// In Temp wird das ASCII Zeichen konvertiert

		tPOS.X = 720 - nummer * 20;
		tPOS.Y = 114;
		DRAW_TEXT (TEMP_STRING, tPOS.X, tPOS.Y, VECTOR (  0,  0,  0));
		tPOS.X -= 1; tPOS.Y -= 1;
		DRAW_TEXT (TEMP_STRING, tPOS.X, tPOS.Y, VECTOR (255,255,255));
		tPOS.Z += TIME;
	WAIT (1);
	}
	WHILE (tPOS.Z < 96) {
		IF (show_Loading.VISIBLE) { RETURN; }
		STR_CPY (TEMP_STRING, "");			// Leert Temp
		STR_FOR_ASC (TEMP_STRING, zign);	// In Temp wird das ASCII Zeichen konvertiert

		tPOS.X = 1232 - nummer * 20 - (tPOS.Z - 48) * 32;
		tPOS.Y = 50 + FSIN((tPOS.Z - 48) * 5.625, 64);
		DRAW_TEXT (TEMP_STRING, tPOS.X, tPOS.Y, VECTOR (  0,  0,  0));
		tPOS.X -= 1; tPOS.Y -= 1;
		DRAW_TEXT (TEMP_STRING, tPOS.X, tPOS.Y, VECTOR (255,255,255));
		tPOS.Z += TIME;
	WAIT (1);
	}
}

starter STR_Levelnamen()
{
	WHILE (1) {
		TEMP = STR_LEN (Level_String);
		IF (TEMP) {
			WHILE (STR_LEN (Level_String)) {
				TEMP = STR_LEN (Level_String);
				STR_Levelbuchstaben(STR_TO_ASC (Level_String), TEMP);
				STR_CLIP (Level_String, 1);			// Vernichtet das erste Zeichen
			WAITT (4);
			}
		}
	WAITT (4);
	}
}

function FNCT_ALPHABLENDER()	// Ausser Betrieb!? (siehe Zustandsaenderung)
{
CAMERA.TRANSPARENT = ON;
CAMERA.ALPHA = 100;

	WHILE (CAMERA.ALPHA > 25) {
		CAMERA.ALPHA -= 4 * TIME;
	WAIT (1);
	}

	WHILE (PLAYER._Zustand == 1) { WAIT (1); }

	WHILE (CAMERA.ALPHA < 100) {
		CAMERA.ALPHA += 3 * TIME;
	WAIT (1);
	}

CAMERA.TRANSPARENT = OFF;
}

function FNCT_Schlafeffekt(du)
{
YOU = du;
	WHILE (MY._Zustand == 4) {
		Effect (Effekt_Schlaf, 1, YOU.X, NULLVECTOR);
	WAITT (4);
	}
}

function FNCT_Laehmeffekt()
{
var timer;
	WHILE ((MY._Zustand == 3) && (MY._KP > NULL)) {
		TEMP.X = FSIN(MY._Zustandstimer * 22.5, 24) + MY.X;
		TEMP.Y = FCOS(MY._Zustandstimer * 22.5, 24) + MY.Y;
		TEMP.Z = MY.Z + 24;
		Effect (Schweif_mid_Weiss, 1, TEMP.X, NULLVECTOR);

		TEMP.X = FSIN(MY._Zustandstimer * 22.5, 24) + MY.X;
		TEMP.Y = -FCOS(MY._Zustandstimer * 22.5, 24) + MY.Y;
		TEMP.Z = MY.Z - 16;
		Effect (Schweif_mid_Weiss, 1, TEMP.X, NULLVECTOR);
	WAIT (1);
	}
}

function FNCT_Attributsschaden(Typ, Intens)
{
ME = NULL; MY = NULL;
// Nur Gainwertanhebung, keine Statsteigerung enthalten
STR_CPY (MMS, Spielername);
IF (Typ == 4) {
	IF (PLAYER._Str - Intens < 1) { Intens = PLAYER._Str - 1; }
	STR_CAT (MMS, Anor_1);
	Gains[13] += (10000 * Multiplikatoren[0]) / (2 + 1.5 * Playerwerte[0]); PLAYER._Str -= Intens; Playerwerte[0] -= Intens; }
IF (Typ == 5) {
	IF (PLAYER._Vit - Intens < 1) { Intens = PLAYER._Vit - 1; }
	STR_CAT (MMS, Anor_2);
	Gains[14] += (10000 * Multiplikatoren[0]) / (2 + 1.5 * Playerwerte[1]); PLAYER._Vit -= Intens; Playerwerte[1] -= Intens; }
IF (Typ == 6) {
	IF (PLAYER._Ges - Intens < 1) { Intens = PLAYER._Ges - 1; }
	STR_CAT (MMS, Anor_3);
	Gains[15] += (10000 * Multiplikatoren[0]) / (2 + 1.5 * Playerwerte[2]); PLAYER._Ges -= Intens; Playerwerte[2] -= Intens; }
IF (Typ == 7) {
	IF (PLAYER._Agi - Intens < 1) { Intens = PLAYER._Agi - 1; }
	STR_CAT (MMS, Anor_4);
  	Gains[16] += (10000 * Multiplikatoren[0]) / (2 + 1.5 * Playerwerte[3]); PLAYER._Agi -= Intens; Playerwerte[3] -= Intens; }
IF (Typ == 8) {
	IF (PLAYER._Int - Intens < 1) { Intens = PLAYER._Int - 1; }
	STR_CAT (MMS, Anor_5);
	Gains[17] += (10000 * Multiplikatoren[0]) / (2 + 1.5 * Playerwerte[4]); PLAYER._Int -= Intens; Playerwerte[4] -= Intens; }
IF (Typ == 9) {
	IF (PLAYER._Wei - Intens < 1) { Intens = PLAYER._Wei - 1; }
	STR_CAT (MMS, Anor_6);
	Gains[18] += (10000 * Multiplikatoren[0]) / (2 + 1.5 * Playerwerte[5]); PLAYER._Wei -= Intens; Playerwerte[5] -= Intens; }

FNCT_Statgains(0);

MMS_Queue(48);

IF (PLAYER._KP > PLAYER._Vit) { PLAYER._KP = PLAYER._Vit; }
IF (PLAYER._MP > PLAYER._Int) { PLAYER._MP = PLAYER._Int; }

	// Zeitstopblockaden!!!
	WHILE (1) {	// 100 sec. * 16 ticks
		IF (PLAYER) {	// Funktioniert Leveluebergreifend!
			IF (!PLAYER._Zustand) { break; } }
	WAIT (1);
	}

STR_CPY (MMS, Anor_7);
IF (Typ == 4) { PLAYER._Str += Intens; Playerwerte[0] += Intens; }
IF (Typ == 5) { PLAYER._Vit += Intens; Playerwerte[1] += Intens; }
IF (Typ == 6) { PLAYER._Ges += Intens; Playerwerte[2] += Intens; }
IF (Typ == 7) { PLAYER._Agi += Intens; Playerwerte[3] += Intens; }
IF (Typ == 8) { PLAYER._Int += Intens; Playerwerte[4] += Intens; }
IF (Typ == 9) { PLAYER._Wei += Intens; Playerwerte[5] += Intens; }

MMS_Queue(48);

}

function FNCT_Zustandsaenderung()
{
// Immer durch 32 teilbare Zeitwerte nehmen!!!
// 1 - Gift
// 2 - Verwirrung
// 3 - Laehmung	-> Verhindert Ausweichen
// 4 - Schlaf		-> Verhindert Ausweichen
// 5 - Attributsschaden
IF (PLAYER != ME) { RETURN; }
IF (MY._Zustand) { RETURN; }	// Zustaende koennen sich nicht gegenseitig ersetzen! Wichtig wegen heben, schieben ect.
IF ((YOU._charakter ==  1010) && (!INT(Random(2)))) { MY._Zustand = 1; MY._Zustandstimer =  64; STR_CPY (MMS, Spielername); STR_CAT (MMS, Anor_8); /*FNCT_ALPHABLENDER();*/ }
IF ((YOU._charakter ==  1011) && (!INT(Random(4)))) { MY._Zustand = 2; MY._Zustandstimer = 128; STR_CPY (MMS, Spielername); STR_CAT (MMS, Anor_9);
	TEMP = INT(Random(3));
	IF (TEMP == 0) { CAMERA.ASPECT = -1; }
	IF (TEMP == 1) { CAMERA.ARC = -60; ark = -60; }
	IF (TEMP == 2) { CAMERA.ASPECT = -1; CAMERA.ARC = -60; ark = -60; }
}
//IF (YOU._charakter == 1020) { MY._Zustand = 5; MY._Zustandstimer = 9000; FNCT_Attributsschaden(4, 5); }
IF ((YOU._charakter == 10000) && (!INT(Random(2)))) { MY._Zustand = 1; MY._Zustandstimer =  64; STR_CPY (MMS, Spielername); STR_CAT (MMS, Anor_8); /*FNCT_ALPHABLENDER();*/ }

MMS_Queue(48);

}

function FNCT_Ohnmachtsanfall()
{
MY._Zustand = 3; MY._Zustandstimer = 64; MY._Ohnmacht = 0;

	FNCT_Name_zur_ID(MY._charakter);

	STR_CPY (MMS, TEMP_STRING);
	STR_CAT (MMS, Anor_10);

	MMS_Queue(48);

	FNCT_Laehmeffekt();
}

function FNCT_Continue()
{
PLAYER._Zustandstimer = 0;
PLAYER._KP = PLAYER._Vit / 3;
Quests[1] = Quests[2];
show_death.VISIBLE = OFF;
CAMERA.ARC = 60;
CAMERA.ASPECT = 1;
CAMERA.TRANSPARENT = OFF;
MOUSE_MODE = 0;
}

function FNCT_Beenden()
{
	// Voll zusammen gemurkst, naja funtzt wenigstens irgendwie... :-/
	Globale[3] = 50;
	Globale[8] = 50;

	IF (PLAYER) {
		PLAYER._Aktion = 60;
		PLAYER._charakter = 0;
	}

	FNCT_Startbildschirm(OFF);

	HEART_100_F.VISIBLE = OFF;
	HEART_Beat.VISIBLE = OFF;
	show_Power.VISIBLE = OFF;
	scheisse.VISIBLE = OFF;

	show_schwarz.VISIBLE = ON;
	show_schwarz.ALPHA = 0;
	show_Schildtext.VISIBLE = OFF;
	WHILE (show_schwarz.ALPHA < 100) { show_schwarz.ALPHA += 12.5 * TIME; }
	STR_CPY (Dialog_vorlage, SOutrotext);
	STR_Anzeigen();
	WHILE (STR_LEN(Dialog_vorlage)) {
		TEMP = 0;
		WHILE (TEMP < 10) { STR_CPY(MMS_ARRAY.STRING[TEMP], ""); TEMP += 1; }
		STR_CPY (NACHRICHTEN_STRING, "");
		STR_CPY (NACHRICHTEN_ZUSATZ, "");
	WAIT (1);
	}
	WHILE (KEY_PRESSED (Eingabewerte[5])) { WAIT (1); }
	WHILE (!KEY_ANY) { WAIT (1); }

	dll_mp3handle = dll_close("mp3.dll");
	exit;
}

function FNCT_Startbildschirm(ID)
{
	IF (ID == OFF) {
		MOUSE_MODE = 0;
		Startwahl.VISIBLE = OFF;
		show_Logo2.VISIBLE = OFF;
	}
}

function FNCT_Nachrichtenswitch(ID)
{
	IF (ID) {
		wind_NACHRICHTEN_STR.TRANSPARENT = ON;
		wind_NACHRICHTEN_STR.ALPHA = 85;
	} ELSE {
		wind_NACHRICHTEN_STR.TRANSPARENT = OFF;
		wind_NACHRICHTEN_STR.ALPHA = 100;
	}
}

function FNCT_Butt_purge()
{
BMAP_PURGE (Butt_1); BMAP_PURGE (Butt_2); BMAP_PURGE (Butt_3);
BMAP_PURGE (Butt_4); BMAP_PURGE (Butt_5); BMAP_PURGE (Butt_6);
BMAP_PURGE (Butt_7); BMAP_PURGE (Butt_8); BMAP_PURGE (Butt_9);
BMAP_PURGE (Butt_10);BMAP_PURGE (Butt_11);BMAP_PURGE (Butt_12);
BMAP_PURGE (Butt_13);BMAP_PURGE (Butt_14);BMAP_PURGE (Butt_15);
BMAP_PURGE (Butt_16);BMAP_PURGE (Butt_17);BMAP_PURGE (Butt_18);
BMAP_PURGE (Butt_19);BMAP_PURGE (Butt_20);BMAP_PURGE (Butt_21);
BMAP_PURGE (Butt_22);BMAP_PURGE (Butt_23);BMAP_PURGE (Butt_24);
BMAP_PURGE (Butt_25);BMAP_PURGE (Butt_26);BMAP_PURGE (Butt_27);
BMAP_PURGE (Butt_28);BMAP_PURGE (Butt_29);BMAP_PURGE (Butt_30);
BMAP_PURGE (Butt_31);BMAP_PURGE (Butt_32);BMAP_PURGE (Butt_33);
BMAP_PURGE (Butt_34);BMAP_PURGE (Butt_35);BMAP_PURGE (Butt_36);
BMAP_PURGE (wind_e);
}

function FNCT_Stats_anzeigen()
{
LANG_BMAP_LOAD_Butt_X(Globale[11]);

Globale[3] = 1;
STR_CPY (NACHRICHTEN_STRING, Stat_1);
wind_NACHRICHTEN_EXTRA.VISIBLE = ON;
STR_CPY (NACHRICHTEN_EXTRA, Stat_2);
show_stats.VISIBLE = ON;
show_stats_text_1.VISIBLE = ON;
show_schwarz.VISIBLE = ON;
FNCT_stats_schreiben();
FNCT_modell_anzeigen();

CAMERA.CLIP_NEAR = 1;

MOUSE_MODE = 2;
Maeusli();
}

function FNCT_Stats_ausblenden()
{
IF (Globale[8]) { RETURN; }
Globale[3] = 0;
STR_CPY (NACHRICHTEN_STRING, "");
wind_NACHRICHTEN_EXTRA.VISIBLE = OFF;
STR_CPY (NACHRICHTEN_EXTRA, "");
show_stats.VISIBLE = OFF;
show_stats_text_1.VISIBLE = OFF;
show_schwarz.VISIBLE = OFF;

CAMERA.CLIP_NEAR = 20;

MOUSE_MODE = 0;
FNCT_Butt_purge();
}

function FNCT_Skills_anzeigen()
{
LANG_BMAP_LOAD_Butt_X(Globale[11]);

Globale[3] = 1;
STR_CPY (NACHRICHTEN_STRING, Skil_1);
wind_NACHRICHTEN_EXTRA.VISIBLE = ON;
STR_CPY (NACHRICHTEN_EXTRA, Skil_2);
show_skills.VISIBLE = ON;
show_skills_text_1.VISIBLE = ON;
show_skills_text_2.VISIBLE = ON;
show_schwarz.VISIBLE = ON;
FNCT_skills_schreiben();

MOUSE_MODE = 2;
Maeusli();
}

function FNCT_Skills_ausblenden()
{
IF (Globale[8]) { RETURN; }
Globale[3] = 0;
STR_CPY (NACHRICHTEN_STRING, "");
wind_NACHRICHTEN_EXTRA.VISIBLE = OFF;
STR_CPY (NACHRICHTEN_EXTRA, "");
show_skills.VISIBLE = OFF;
show_skills_text_1.VISIBLE = OFF;
show_skills_text_2.VISIBLE = OFF;
show_schwarz.VISIBLE = OFF;
MOUSE_MODE = 0;
FNCT_Butt_purge();
}

function FNCT_Tasta_anzeigen()
{
LANG_BMAP_LOAD_Butt_X(Globale[11]);

Globale[3] = 1;
STR_CPY (NACHRICHTEN_STRING, Tast_1);
show_settings.VISIBLE = ON;
show_settings_text.VISIBLE = ON;
show_schwarz.VISIBLE = ON;
FNCT_setting_aktu();

MOUSE_MODE = 2;
Maeusli();
}

function FNCT_Tasta_ausblenden()
{
var test;
IF (Globale[8]) { RETURN; }
// Abfragen ob gleiche belegung
	WHILE (test[0] < 8) {
		test[1] = Eingabewerte[test[0]];
		test[2] = 0;
		WHILE (test[2] < 8) {
			IF (test[0] != test[2]) {
				IF (test[1] == Eingabewerte[test[2]]) {
					STR_CPY (SMS, Tast_2);
					RETURN;
				}
			} test[2] += 1;
		} test[0] += 1;
	}

Globale[3] = 0;
show_settings.VISIBLE = OFF;
show_settings_text.VISIBLE = OFF;
show_schwarz.VISIBLE = OFF;
MOUSE_MODE = 0;
FNCT_Butt_purge();
}

function FNCT_Quests_anzeigen()
{
LANG_BMAP_LOAD_Butt_X(Globale[11]);

Globale[3] = 1;
STR_CPY (NACHRICHTEN_STRING, Ques_1);
wind_NACHRICHTEN_EXTRA.VISIBLE = ON;
STR_CPY (NACHRICHTEN_EXTRA, Ques_2);
show_quests.VISIBLE = ON;
show_quests_text_1.VISIBLE = ON;
show_quests_text_2.VISIBLE = ON;
show_schwarz.VISIBLE = ON;
Quests_schreiben();

MOUSE_MODE = 2;
Maeusli();
}

function FNCT_Quests_ausblenden()
{
IF (Globale[8]) { RETURN; }
Globale[3] = 0;
wind_NACHRICHTEN_EXTRA.VISIBLE = OFF;
STR_CPY (NACHRICHTEN_EXTRA, "");
show_quests.VISIBLE = OFF;
show_quests_text_1.VISIBLE = OFF;
show_quests_text_2.VISIBLE = OFF;
show_schwarz.VISIBLE = OFF;
MOUSE_MODE = 0;
FNCT_Butt_purge();
}

function FNCT_Waren_anzeigen()
{
LANG_BMAP_LOAD_Butt_X(Globale[11]);

Globale[3] = 1;
STR_CPY (NACHRICHTEN_STRING, Ware_1);
wind_NACHRICHTEN_EXTRA.VISIBLE = ON;
STR_CPY (NACHRICHTEN_EXTRA, Ware_2);
show_waren.VISIBLE = ON;
show_quests_text_1.VISIBLE = ON;
show_quests_text_2.VISIBLE = ON;
show_schwarz.VISIBLE = ON;
Waren_schreiben();

MOUSE_MODE = 2;
Maeusli();
}

function FNCT_Waren_ausblenden()
{
IF (Globale[8]) { RETURN; }
Globale[3] = 0;
wind_NACHRICHTEN_EXTRA.VISIBLE = OFF;
STR_CPY (NACHRICHTEN_EXTRA, "");
show_waren.VISIBLE = OFF;
show_quests_text_1.VISIBLE = OFF;
show_quests_text_2.VISIBLE = OFF;
show_schwarz.VISIBLE = OFF;
MOUSE_MODE = 0;
FNCT_Butt_purge();
}

function FNCT_Quests_scroll(nummerus)
{
	IF (nummerus == 13) {
		IF (TEMP_Quests[0] >   0) {
			TEMP = TEMP_Quests[0];
			TEMP -= 1;
			WHILE ((!Quests[TEMP + 10]) && (TEMP >   0)) { TEMP -= 1; }
			IF (Quests[TEMP + 10]) { TEMP_Quests[0] = TEMP; }
			Quests_schreiben(); }
	} ELSE {
		IF (TEMP_Quests[0] < 139) {
			TEMP = TEMP_Quests[0];
			TEMP += 1;
			WHILE ((!Quests[TEMP + 10]) && (TEMP < 139)) { TEMP += 1; }
			IF (Quests[TEMP + 10]) { TEMP_Quests[0] = TEMP; }
			Quests_schreiben(); }	// Anpassen
	}
}

function FNCT_Waren_scroll(nummerus)
{
	IF (nummerus == 13) {
		IF (TEMP_Waren[0] >   0) {
			TEMP = TEMP_Waren[0];
			TEMP -= 1;
			WHILE ((!Waren[TEMP + 1]) && (TEMP >   0)) { TEMP -= 1; }
			IF (Waren[TEMP + 1]) { TEMP_Waren[0] = TEMP; }
			Waren_schreiben(); }
	} ELSE {
		IF (TEMP_Waren[0] < 98) {
			TEMP = TEMP_Waren[0];
			TEMP += 1;
			WHILE ((!Waren[TEMP + 1]) && (TEMP < 98)) { TEMP += 1; }
			IF (Waren[TEMP + 1]) { TEMP_Waren[0] = TEMP; }
			Waren_schreiben(); }	// Anpassen
	}
}

function FNCT_OnScreen()
{
	VEC_SET (TEMP.X, MY.X);
	RETURN (VEC_TO_SCREEN (TEMP.X, CAMERA));
}

function FNCT_Spieler_setzen(inum)
{
Quests[1] = 0;	// Sicher ist sicher
WAIT (3);

IF (!PLAYER) { RETURN; }

// Gerade als ausgang, ungerade als eingang
// Benezos
IF (inum ==    9) { PLAYER.X = -2200; PLAYER.Y = -4500; PLAYER.Z =  56; PLAYER.PAN = 270; }
//IF (inum ==    0) { PLAYER.X =  2432; PLAYER.Y = -2604; PLAYER.Z = 624; PLAYER.PAN = 270; }
IF (inum ==   10) { PLAYER.X =  3640; PLAYER.Y = -3344; PLAYER.Z = 696; PLAYER.PAN = 270; }
IF (inum ==   11) { PLAYER.X =   -64; PLAYER.Y =   -80; PLAYER.Z =  32; PLAYER.PAN =  90; }
IF (inum ==   12) { PLAYER.X =  3416; PLAYER.Y = -2176; PLAYER.Z = 696; PLAYER.PAN = 270; }
IF (inum ==   13) { PLAYER.X =   -96; PLAYER.Y =   -80; PLAYER.Z =  32; PLAYER.PAN =  90; }
IF (inum ==   14) { PLAYER.X =  2088; PLAYER.Y = -2528; PLAYER.Z = 696; PLAYER.PAN = 270; }
IF (inum ==   15) { PLAYER.X =   -64; PLAYER.Y =   -80; PLAYER.Z =  32; PLAYER.PAN =  90; }
IF (inum ==   16) { PLAYER.X = -1302; PLAYER.Y = -3232; PLAYER.Z = 464; PLAYER.PAN = 180; }
IF (inum ==   17) { PLAYER.X =   -84; PLAYER.Y =    32; PLAYER.Z =  32; PLAYER.PAN =   0; }
IF (inum ==   18) { PLAYER.X =  1680; PLAYER.Y = -1280; PLAYER.Z = 640; PLAYER.PAN = 270; }
IF (inum ==   19) { PLAYER.X =   -64; PLAYER.Y =   -92; PLAYER.Z =  32; PLAYER.PAN =  90; }
IF (inum ==   20) { PLAYER.X =  3200; PLAYER.Y = -1512; PLAYER.Z = 688; PLAYER.PAN = 180; }
IF (inum ==   21) { PLAYER.X =  -216; PLAYER.Y =     0; PLAYER.Z =  32; PLAYER.PAN =   0; }
IF (inum ==   22) { } // Rein kommen vom Dunkelwald

// Dunkelwald
IF (inum ==   30) { PLAYER.X =  5340; PLAYER.Y = -4000; PLAYER.Z = 320; PLAYER.PAN = 180; }
IF (inum ==   31) { PLAYER.X = -5376; PLAYER.Y =  4160; PLAYER.Z = 224; PLAYER.PAN =   0; }

// Schiff_a
IF (inum ==   40) { PLAYER.X =  -476; PLAYER.Y =   -72; PLAYER.Z = 160; PLAYER.PAN =   0; }
IF (inum ==   41) { PLAYER.X =   -24; PLAYER.Y =    62; PLAYER.Z =  32; PLAYER.PAN = 270; }
IF (inum ==   42) { PLAYER.X =  -476; PLAYER.Y =   -72; PLAYER.Z = 160; PLAYER.PAN =   0; }
IF (inum ==   43) { PLAYER.X =   160; PLAYER.Y =   -38; PLAYER.Z =  32; PLAYER.PAN = 180; }

// Alcelen (mit Schiff)
IF (inum ==   51) { PLAYER.X =  -672; PLAYER.Y =   336; PLAYER.Z = 384; PLAYER.PAN = 270; }
IF (inum ==   52) { PLAYER.X =  -400; PLAYER.Y =    38; PLAYER.Z = 160; PLAYER.PAN = 180; }
IF (inum ==   53) { PLAYER.X =  -848; PLAYER.Y = -1376; PLAYER.Z =  96; PLAYER.PAN =  90; }
IF (inum ==   54) { PLAYER.X =   -72; PLAYER.Y =   -16; PLAYER.Z = 192; PLAYER.PAN =   0; }
IF (inum ==   55) { PLAYER.X =  1600; PLAYER.Y =     0; PLAYER.Z = 174; PLAYER.PAN = 180; }
IF (inum ==   56) { PLAYER.X =    -8; PLAYER.Y =  -128; PLAYER.Z = 192; PLAYER.PAN =   0; }
IF (inum ==   57) { PLAYER.X =  1744; PLAYER.Y =   400; PLAYER.Z = 240; PLAYER.PAN =   0; }
IF (inum ==   58) { PLAYER.X =   128; PLAYER.Y =   -32; PLAYER.Z = 160; PLAYER.PAN = 110; }
IF (inum ==   59) { PLAYER.X =   432; PLAYER.Y = -1216; PLAYER.Z = 384; PLAYER.PAN = 230; }
IF (inum ==   60) { PLAYER.X =   304; PLAYER.Y =   -80; PLAYER.Z = 160; PLAYER.PAN = 315; }
IF (inum ==   61) { PLAYER.X =   -32; PLAYER.Y =    96; PLAYER.Z = 188; PLAYER.PAN = 315; }
IF (inum ==   62) { PLAYER.X =   384; PLAYER.Y =   -16; PLAYER.Z = 160; PLAYER.PAN =  20; }
IF (inum ==   63) { PLAYER.X =   784; PLAYER.Y =  -494; PLAYER.Z = 240; PLAYER.PAN = 100; }
IF (inum ==   64) { PLAYER.X =   560; PLAYER.Y =   -32; PLAYER.Z = 160; PLAYER.PAN =  75; }
IF (inum ==   65) { PLAYER.X =  -674; PLAYER.Y =   412; PLAYER.Z = 404; PLAYER.PAN =   0; }
IF (inum ==   66) { PLAYER.X =   752; PLAYER.Y =    16; PLAYER.Z = 160; PLAYER.PAN =   0; }

TEMP = 1;
	WHILE (TEMP < 4) {
		IF (PLAYER.Z > 32 + TEMP * 144) { Alphadef[TEMP] = 100; } ELSE { Alphadef[TEMP] = 0; }
		TEMP += 1;
	}

	VEC_SET(TEMP.X, PLAYER.X);
	TEMP.Z -= 1000;
	TRACE_MODE = IGNORE_SPRITES + IGNORE_ME + IGNORE_PASSENTS + IGNORE_PASSABLE + IGNORE_MODELS;
		TRACE(PLAYER.X, TEMP.X); PLAYER.Z = TARGET.Z -PLAYER.MIN_Z * PLAYER.SCALE_Z;

	CAMERA.X = PLAYER.X;
	CAMERA.Y = PLAYER.Y - 320;	
	CAMERA.Z += (PLAYER.Z + 448) - CAMERA.Z;

}

function FNCT_Levelwechsel(inum)
{
	IF (inum != 1) {
	LANG_BMAP_LOAD_Loading(Globale[11]);
	show_Loading.VISIBLE = ON;
	CAMERA.TRANSPARENT = OFF;
	CAMERA.ARC = 60;
	ark = 60;
	Tageszeiten[11] = 0;	// Dunkelwald Nebel abschalten, kommen sicher noch weitere
	VEC_SET (Wasserbewegung, NULLVECTOR);
	IF (PLAYER) {
		Playerwerte[0]  = PLAYER._Str;
		Playerwerte[1]  = PLAYER._Vit;
		Playerwerte[2]  = PLAYER._Ges;
		Playerwerte[3]  = PLAYER._Agi;
		Playerwerte[4]  = PLAYER._Int;
		Playerwerte[5]  = PLAYER._Wei;
		Playerwerte[6]  = PLAYER._KP;
		Playerwerte[7]  = PLAYER._MP;
		Playerwerte[8]  = PLAYER._Gold;
		Playerwerte[15] = PLAYER._Zustand;
		Playerwerte[16] = PLAYER._Zustandstimer;
	}
	WAITT (4);
	Globale[0] = 0;

	// Levelabschnitt, folgend Unterabschnitte
	// Benezos
	IF (Quests[1] ==    9) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; Wasser(); SEKT_Sektoranalyse(); }
	IF (Quests[1] ==   10) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Benezos);          Wasser(); SEKT_Sektoranalyse(); }
	IF (Quests[1] ==   11) { LEVEL_LOAD ("I_0001.wmb");		Klimazone = 11; STR_CPY (Level_String, LeSt_Kleines_Haus);     }
	IF (Quests[1] ==   12) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Benezos);          Wasser(); SEKT_Sektoranalyse(); }
	IF (Quests[1] ==   13) { LEVEL_LOAD ("I_0003.wmb");		Klimazone = 11; STR_CPY (Level_String, LeSt_Schindelhaus);     }
	IF (Quests[1] ==   14) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Benezos);          Wasser(); SEKT_Sektoranalyse(); }
	IF (Quests[1] ==   15) { LEVEL_LOAD ("I_0004a.wmb");		Klimazone = 11; STR_CPY (Level_String, LeSt_Schlafende_Winde); }
	IF (Quests[1] ==   16) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Fischerdock);      Wasser(); SEKT_Sektoranalyse(); }
	IF (Quests[1] ==   17) { LEVEL_LOAD ("I_0006.wmb");		Klimazone = 11; STR_CPY (Level_String, LeSt_Bregs_Haus);       }
	IF (Quests[1] ==   18) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Benezos);          Wasser(); SEKT_Sektoranalyse(); }
	IF (Quests[1] ==   19) { LEVEL_LOAD ("I_0008.wmb");		Klimazone = 11; STR_CPY (Level_String, LeSt_Bauernhaus);       }
	IF (Quests[1] ==   20) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Benezos);          Wasser(); SEKT_Sektoranalyse(); }
	IF (Quests[1] ==   21) { LEVEL_LOAD ("I_0010.wmb");		Klimazone = 11; STR_CPY (Level_String, LeSt_Alchemieladen);    }
	IF (Quests[1] ==   22) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Nach_Benezos);     Wasser(); SEKT_Sektoranalyse(); }
	// Dunklewald
	IF (Quests[1] ==   30) { LEVEL_LOAD ("Dunkelwald.wmb");	Klimazone =  6; STR_CPY (Level_String, LeSt_Dunkler_Wald);     Wasser(); }
	IF (Quests[1] ==   31) { LEVEL_LOAD ("Benezos.wmb");		Klimazone =  6; STR_CPY (Level_String, LeSt_Nach_Benezos);     Wasser(); SEKT_Sektoranalyse(); }

	// Schiff_a
	// 40 nur zum ersten Introstart
	IF (Quests[1] ==   40) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_Dragonrise); Wasserbewegung.X = 5; Wasser(); FNCT_Intro(); }
	// 41 gehoert zum Intro
	IF (Quests[1] ==   41) { LEVEL_LOAD ("SchiffIa.wmb");    Klimazone = 11; STR_CPY (Level_String, "");              Wasserbewegung.X = 5; }	// Kein Text hier

	IF (Quests[1] ==   42) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);    Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   43) { LEVEL_LOAD ("SchiffIa.wmb");    Klimazone = 11; STR_CPY (Level_String, LeSt_Unter_Deck); Wasserbewegung.X = 5; }

	// Alcelen - Schloss
	// Zurueck in Burghof
	IF (Quests[1] ==   50) { }
	IF (Quests[1] ==   51) { LEVEL_LOAD ("I_A001a.wmb");     Klimazone =  7; STR_CPY (Level_String, LeSt_Gemaecher);        }
	IF (Quests[1] ==   52) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   53) { LEVEL_LOAD ("I_A001a.wmb");     Klimazone =  7; STR_CPY (Level_String, LeSt_Waffenkammer);     }
	IF (Quests[1] ==   54) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   55) { LEVEL_LOAD ("Jagd.wmb");        Klimazone =  7; STR_CPY (Level_String, LeSt_Waelder_Alcelens); }
	IF (Quests[1] ==   56) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   57) { LEVEL_LOAD ("I_A001a.wmb");     Klimazone =  7; STR_CPY (Level_String, LeSt_Planungsbuero);    }
	IF (Quests[1] ==   58) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   59) { LEVEL_LOAD ("I_A001a.wmb");     Klimazone =  7; STR_CPY (Level_String, LeSt_Dachterasse);      }
	IF (Quests[1] ==   60) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   61) { LEVEL_LOAD ("Schlacht.wmb");    Klimazone =  7; STR_CPY (Level_String, LeSt_Ebenen_Alcelens);  }
	IF (Quests[1] ==   62) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   63) { LEVEL_LOAD ("I_A001a.wmb");     Klimazone =  7; STR_CPY (Level_String, LeSt_Gebetsraum);       }
	IF (Quests[1] ==   64) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }
	IF (Quests[1] ==   65) { LEVEL_LOAD ("I_A001a.wmb");     Klimazone =  7; STR_CPY (Level_String, LeSt_Gemaecher);        }
	IF (Quests[1] ==   66) { LEVEL_LOAD ("Schiff_a.wmb");    Klimazone =  6; STR_CPY (Level_String, LeSt_An_Deck);          Wasserbewegung.X = 5; Wasser(); }

	Wasserebene = NULL;

	Quests[2] = inum;	// Letzten wechseln speichern
	Quests[1] = 0;
	STR_CPY (Schildtext, "");

	WAIT (3);

	IF (PLAYER) {
		ME = PLAYER;
		IF ((inum == 52) || (inum == 54) || (inum == 56) || (inum == 58) || (inum == 60) || (inum == 62) || (inum == 64) || (inum == 66)) {
			Waffen[0] = SWRT_1;
			Waffen[6] = Globale[10];
			IF ((Globale[10] != 20) && (!PLAYER._Hand_rechts)) { WEAP_RECH_ERSCH(); }
		}
		IF (inum == 55) {
			Waffen[2] = BOGN_1;
			Waffen[6] = 2;
			Waffen[7] = 10;
			IF (!PLAYER._Hand_rechts) { WEAP_RECH_ERSCH(); }
		}
	}

	CAMERA.ROLL = NULL;
	FNCT_Spieler_setzen(inum);
//	WAIT (2);
//	WAITT (4);

	IF (inum ==  30) { Tageszeiten[11] = 500; }	// Dunkelwald Nebel setzen

	WAIT (8);
	show_Loading.VISIBLE = OFF;
	BMAP_PURGE (Loading);
	} ELSE {
		IF (Quests[1] == 1) {
			STR_CPY (MMS, LeSt_Tuere);
			MMS_Queue(48);

			Quests[1] = 0;
		}
	}
}

function FNCT_pan_normalize(du)
{
var DrehwinkelTemp;

YOU = du;
	VEC_SET (pan_normal, YOU.X);
	VEC_SUB (pan_normal, MY.X);
	VEC_NORMALIZE (pan_normal, 1);

	DrehwinkelTemp.PAN = 180 - MY.PAN;
	VEC_ROTATE (pan_normal.X, DrehwinkelTemp.PAN);
}

function Zielerkennung(range)
{
var nummerx;
var nummery;
nummerx = NULL;
YOU = ENT_NEXT(nummerx);
nummerx = YOU;
nummery = YOU;
YOU = ENT_NEXT(nummerx);
nummerx = YOU;

MY._Target = NULL;
MY._Angriffsziel = NULL;

//IF (PLAYER == ME) { Gegnerzahl = 0; }

Anfang:

		IF (YOU) {
			IF (MY._charakter < 1000) {
				IF ((YOU._charakter < 1000) || (YOU._charakter == 0)) {
					IF (nummerx == nummery) { GOTO Ende; }
					YOU = ENT_NEXT(nummerx);
					nummerx = YOU; GOTO Anfang;
				}
			} ELSE {
				IF ((YOU._charakter >= 1000) || (YOU._charakter == 0)) {
					IF (nummerx == nummery) { GOTO Ende; }
					YOU = ENT_NEXT(nummerx);
					nummerx = YOU; GOTO Anfang;
				}
			}

			TEMP = VEC_DIST (MY.X, YOU.X);
			IF ((TEMP < range) && (YOU._KP > 0)) {

					MY._Angriffsziel = YOU;	// Neues Ziel setzen
					IF (!MY._Target) { MY._Target = YOU; } ELSE {	// Erstes Speicherziel setzen
						YOU = MY._Target; IF (!YOU._charakter) { MY._Target = NULL; GOTO Weiter; } // Ist das GEspeicherte Ziel Tot wird der Pointer zruueckgesetzt
						IF (VEC_DIST (MY.X, YOU.X) < TEMP) { MY._Angriffsziel = MY._Target; } ELSE { MY._Target = MY._Angriffsziel; } // Bei kuerzerem abstand des alten Ruecksetzen, ansonsten neu setzen
					}
Weiter:
/*				IF (PLAYER != ME) { // Hinlaufen fuer NPCs
					IF ((MY._aktion != 4) && (MY._Aktion != 6) && (MY._Aktion != 2)) { MY._Aktion = 1; }
				} ELSE {
					Gegnerzahl += 1;
				}*/

			} ELSE {

				IF (MY._Angriffsziel == YOU) { MY._Angriffsziel = NULL; }
/*				IF (PLAYER != ME) { // Warten fuer NPCs
					IF ((MY._aktion != 4) && (MY._Aktion != 6) && (MY._Aktion != 2) && (MY._Angriffsziel == NULL)) { MY._Aktion = 0; }
				}*/

			}

			YOU = MY._Angriffsziel;
			IF (YOU) {
				IF (YOU._charakter == NULL) { MY._Angriffsziel = NULL; }
			}

			IF (nummerx == nummery) { GOTO Ende; }
				YOU = ENT_NEXT(nummerx);
				nummerx = YOU; GOTO Anfang;
		} ELSE {
			IF (nummerx == nummery) { GOTO Ende; }
				YOU = ENT_NEXT(nummerx);
				nummerx = YOU; GOTO Anfang;
		}

Ende:
}

function Zielerkennung_Kopf(du, range)
{
var nummerx;
var nummery;
nummerx = NULL;
YOU = ENT_NEXT(nummerx);
nummerx = YOU;
nummery = YOU;
YOU = ENT_NEXT(nummerx);
nummerx = YOU;

MY._Target = NULL;
MY._Angriffsziel = NULL;

//IF (PLAYER == ME) { Gegnerzahl = 0; }

Anfang:

		IF (YOU) {
			IF ((YOU == du) || (YOU == ME)) {
				IF (nummerx == nummery) { GOTO Ende; }
				YOU = ENT_NEXT(nummerx);
				nummerx = YOU; GOTO Anfang;
			}

			TEMP = VEC_DIST (MY.X, YOU.X);
			IF (TEMP < range) {
				MY._Angriffsziel = YOU;	// Neues Ziel setzen
Weiter:
			} ELSE {
				IF (MY._Angriffsziel == YOU) { MY._Angriffsziel = NULL; }
			}

			IF (nummerx == nummery) { GOTO Ende; }
				YOU = ENT_NEXT(nummerx);
				nummerx = YOU; GOTO Anfang;
		} ELSE {
			IF (nummerx == nummery) { GOTO Ende; }
				YOU = ENT_NEXT(nummerx);
				nummerx = YOU; GOTO Anfang;
		}

Ende:
}

function FNCT_Schwarzblender_in()
{
show_schwarz.VISIBLE = ON;
show_schwarz.ALPHA = 0;
	WHILE (show_schwarz.ALPHA < 100) {
		show_schwarz.ALPHA += 6.25 * TIME;
	WAIT (1);
	}
show_schwarz.ALPHA = 100;
}

function FNCT_Schwarzblender_aus()
{
	WHILE (show_schwarz.ALPHA > 0) {
		show_schwarz.ALPHA -= 6.25 * TIME;
	WAIT (1);
	}
show_schwarz.VISIBLE = OFF;
show_schwarz.ALPHA = 50;
}

function FNCT_Regenerator()
{
MY._RegenTIMER += TIME;
	IF (MY._RegenTIMER > 80) {
		MY._Regentimer = Random(16) - 8;
		MY._KP += MY._Vit / (40 * INT(MY._Aktion / 10));	// Sonderstatuse duerfen sich nicht auswrgen
		MY._MP += MY._Int / (40 * INT(MY._Aktion / 10));
		IF (MY._KP > MY._Vit) { MY._KP = MY._Vit; }
		IF (MY._MP > MY._Int) { MY._MP = MY._Int; }
	}
MY._Ohnmacht = MAX(MY._Ohnmacht - (0.5 + (MY._Agi / 200)) * TIME, 0);
}

function FNCT_Zustandsaktualisierung()
{
	MY._Zustandstimer -= TIME;
	IF (MY._Zustandstimer <= 0) {
		MY._Zustand = 0;
		MY.RED   = NULL;
		MY.GREEN = NULL;
		MY.BLUE  = NULL;
		MY.LIGHT = OFF;

		IF (PLAYER == ME) {
			CAMERA.ASPECT = 1;
			CAMERA.ARC = 60;
			ark = 60;
			Lise_Kopf.RED   = NULL;
			Lise_Kopf.GREEN = NULL;
			Lise_Kopf.BLUE  = NULL;
			Lise_Kopf.LIGHT = OFF;
		}
	}

	IF (MY._Zustand == 1) {	// Gift
		MY._KP -= TIME / 32;
		MY.LIGHT = ON;
		MY.GREEN = -FCOS(MY._Zustandstimer * 11.25, 127) + 128;
		IF (PLAYER == ME) {
			Lise_Kopf.LIGHT = ON;
			Lise_Kopf.GREEN = MY.GREEN;
		}
	}
//			IF (MY._Zustand == 2) { CAMERA.ASPECT = -1; } ELSE { CAMERA.ASPECT = 1; }
// Braucht doch keine weitere Aktion?
	IF ((MY._Zustand == 3) || (MY._Zustand == 4)) {	// Laehmung - Schlaf
		MY.LIGHT = ON;
		MY.RED   = -FCOS(MY._Zustandstimer * 11.25, 63) + 64;
		MY.GREEN = MY.RED * 2;
		MY.BLUE  = MY.RED;
		IF (PLAYER == ME) {
			Lise_Kopf.LIGHT = ON;
			Lise_Kopf.RED   = MY.RED;
			Lise_Kopf.GREEN = MY.GREEN;
			Lise_Kopf.BLUE  = MY.BLUE;
		}
		RETURN (1);
	}
}

function FNCT_Waffenaktualisierung()
{
	IF ((Waffen[6] != 10) && (Waffen[6] != 20)) {
		IF (!Waffen[6]) { WEAP_SWRT(); }
		IF (Waffen[Waffen[6]] == KLAU_1) { WEAP_KLAU_1(); }
		IF (Waffen[6] == 2) { WEAP_BOGN(); }
		IF (Waffen[6] == 4) { WEAP_KEUL(); }
	}
	IF ((Waffen[7] != 10) && (Waffen[7] != 20)) {
		IF (Waffen[Waffen[7]] == SHLD_1) { WEAP_SHLD_1(); }
	}
}

function FNCT_Ruestungsaktualisierung()
{
	IF (Torso[Torso[0]] == TOR_1) { WEAP_BONE_8(); RETURN; }
	IF (Torso[Torso[0]] == TOR_3) ||
		(Torso[Torso[0]] == TOR_5) { WEAP_BONE_2(); WEAP_BONE_3(); RETURN; }
	IF (Torso[Torso[0]] == TOR_4) ||
		(Torso[Torso[0]] == TOR_6) { WEAP_BONE_2(); WEAP_BONE_3(); WEAP_BONE_8(); RETURN; }
	IF (Torso[Torso[0]] == TOR_7) { WEAP_BONE_1(); WEAP_BONE_2(); WEAP_BONE_3(); WEAP_BONE_8(); RETURN; }
}

function FNCT_Wespenstachel()
{
MY._YOUsave = YOU;

MY._Str = YOU._Str * 0.5;
MY._Vit = YOU._Vit;
MY._Ges = YOU._Ges;
MY._Agi = YOU._Agi;
MY._Int = YOU._Int;
MY._Wei = YOU._Wei;

MY._PDam = YOU._PDam;
MY._Kampfskill = YOU._Kampfskill;
MY._Waffenart = 2;

MY._Power = YOU._Power;
MY._Attack_Power = YOU._Attack_Power;

MY._charakter = 10000;

MY.FAT = OFF;
MY.NARROW = OFF;

VEC_FOR_VERTEX (MY.X, YOU, 7);
MY.PAN = YOU.PAN;

MY._Att_def = 1;

MY.ENABLE_BLOCK = ON;
MY.ENABLE_ENTITY = ON;
MY.EVENT = EVNT_Abprall;

	WHILE ((!MY._TIMER) && (!MY._Alt_Aktion2)) {

		IF (MY._Att_def == 1) {
			TEMP.PAN = 50; TEMP.TILT = 90; TEMP.Z = 72;	// Z muss Waffenlaengenabhaengig sein
			IF(SCAN_ENTITY (MY.X, TEMP.PAN)) { MY._Att_def = 2; }
		}

		MY._SPEED_X = 48 * TIME;
		MY._speed_n_save_Z -= 1.84 * TIME;

		MY._drift_Z = MY._speed_n_save_Z * TIME;

		YOU = MY._YOUsave;
		MOVE_MODE = IGNORE_YOU + IGNORE_PASSABLE + IGNORE_PASSENTS + IGNORE_SPRITES;
		ENT_MOVE (MY._SPEED_X, MY._drift_X);

	WAIT (1);
	}

MY.PASSABLE = OFF;
WAITT (4);

ENT_REMOVE (MY);
RETURN;
}

function FNCT_Elementarschaden()
{
//	IF ((MY._Elementtyp < Blitz) && (MY._MWiderstand < Blitz) && (MY._MAnfaelligkeit < Blitz)) {
//
//		// 50% Widerstand
//		IF (MY._MWiderstand ==  MY._Elementtyp) {
//			MY._ZauberDMG /= 2;
//			STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist resistent gegen dieses Element.");
//		}
//		// 50% Absorbtion
//		IF (MY._MWiderstand == -MY._Elementtyp) {
//			MY._ZauberDMG /= -2;
//			STR_CPY (NACHRICHTEN_STRING, "Der Gegner wird durch dieses Element gestaerkt.");
//		}
//	
//		// 50% Anfaelligkeit
//		IF (MY._MAnfaelligkeit ==  MY._Elementtyp) {
//			MY._ZauberDMG *= 1.5;
//			STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist anfaellig gegen dieses Element.");
//		}
//		// 100% Anfaelligkeit
//		IF (MY._MAnfaelligkeit == -MY._Elementtyp) {
//			MY._ZauberDMG *= 2;
//			STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist extrem anfaellig gegen dieses Element.");
//		}
//
//	} ELSE {
//
//		// Alle Widerstaende bei Blitz
//		IF (MY._MWiderstand ==  Blitz) {	// Gaja+Metall
//			IF ((MY._Elementtyp == Gaja) || (MY._Elementtyp == Metall) || (MY._Elementtyp == Blitz)) {
//				MY._ZauberDMG /= 2;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist resistent gegen dieses Element.");
//			}
//		}
//		IF (MY._MWiderstand == -Blitz) {	// Gaja+Metall
//			IF ((MY._Elementtyp == Gaja) || (MY._Elementtyp == Metall) || (MY._Elementtyp == Blitz)) {
//				MY._ZauberDMG /= -2;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner wird durch dieses Element gestaerkt.");
//			}
//		}
//
//		// Alle Widerstaende bei Meteor
//		IF (MY._MWiderstand ==  Meteor) {	// Feuer+Erde
//			IF ((MY._Elementtyp == Feuer) || (MY._Elementtyp == Erde) || (MY._Elementtyp == Meteor)) {
//				MY._ZauberDMG /= 2;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist resistent gegen dieses Element.");
//			}
//		}
//		IF (MY._MWiderstand == -Meteor) {	// Feuer+Erde
//			IF ((MY._Elementtyp == Feuer) || (MY._Elementtyp == Erde) || (MY._Elementtyp == Meteor)) {
//				MY._ZauberDMG /= -2;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner wird durch dieses Element gestaerkt.");
//			}
//		}
//
//		// Alle anfaelligkeiten bei Blitz
//		IF (MY._MAnfaelligkeit ==  Blitz) {	// Gaja+Metall
//			IF ((MY._Elementtyp == Gaja) || (MY._Elementtyp == Metall)) {
//				MY._ZauberDMG *= 1.25;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist teilweise anfaellig gegen dieses Element.");
//			}
//			IF (MY._Elementtyp == Blitz) {
//				MY._ZauberDMG *= 1.5;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist anfaellig gegen dieses Element.");
//			}
//		}
//		IF (MY._MAnfaelligkeit == -Blitz) {	// Gaja+Metall
//			IF ((MY._Elementtyp == Gaja) || (MY._Elementtyp == Metall)) {
//				MY._ZauberDMG *= 1.5;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist anfaellig gegen dieses Element.");
//			}
//			IF (MY._Elementtyp == Blitz) {
//				MY._ZauberDMG *= 2;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist extrem anfaellig gegen dieses Element.");
//			}
//		}
//
//		// Alle anfaelligkeiten bei Meteor
//		IF (MY._MAnfaelligkeit ==  Meteor) {	// Feuer+Erde
//			IF ((MY._Elementtyp == Feuer) || (MY._Elementtyp == Erde)) {
//				MY._ZauberDMG *= 1.25;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist teilweise anfaellig gegen dieses Element.");
//			}
//			IF (MY._Elementtyp == Meteor) {
//				MY._ZauberDMG *= 1.5;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist anfaellig gegen dieses Element.");
//			}
//		}
//		IF (MY._MAnfaelligkeit == -Meteor) {	// Feuer+Erde
//			IF ((MY._Elementtyp == Feuer) || (MY._Elementtyp == Erde)) {
//				MY._ZauberDMG *= 1.5;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist anfaellig gegen dieses Element.");
//			}
//			IF (MY._Elementtyp == Meteor) {
//				MY._ZauberDMG *= 2;
//				STR_CPY (NACHRICHTEN_STRING, "Der Gegner ist extrem anfaellig gegen dieses Element.");
//			}
//		}
//
//	}

//DEFINE Eis,		1;
//DEFINE Feuer,	2;
//DEFINE Gaja,	3;
//DEFINE Erde,	4;
//DEFINE Metall,	5;
//DEFINE Blitz,  6; // Gaja+Metall
//DEFINE Meteor, 7;	// Feuer+Erde

// 1 -> Extradamage
// 2 -> Superdamage
// 3 -> Teildamage
// 4 -> Teilabsorbtion
// 5 -> Superabsorbtion
	TEMP = 0;

	IF (MY._Elementtyp == Eis) {
		IF ((MY._Element ==  Feuer) || (MY._Element ==  Meteor)) { TEMP = 1; }
		IF ((MY._Element == -Feuer) || (MY._Element == -Meteor)) { TEMP = 2; }
		IF  (MY._Element ==  Gaja) { TEMP = 3; }
		IF ((MY._Element == -Gaja) || (MY._Element == Eis)) { TEMP = 4; }
		IF  (MY._Element == -Eis) { TEMP = 5; }
	}

	IF (MY._Elementtyp == Feuer) {	// Innerhalb einer Elementkombo
		IF ((MY._Element ==  Metall) || (MY._Element ==  Blitz)) { TEMP = 1; }
		IF ((MY._Element == -Metall) || (MY._Element == -Blitz)) { TEMP = 2; }
		IF ((MY._Element ==  Erde) || (MY._Element ==  Meteor)) { TEMP = 3; }
		IF ((MY._Element == -Erde) || (MY._Element == -Meteor) || (MY._Element == Feuer)) { TEMP = 4; }
		IF  (MY._Element == -Feuer) { TEMP = 5; }
	}

	IF (MY._Elementtyp == Gaja) {
		IF  (MY._Element ==  Erde) { TEMP = 1; }	// Kein Meteor, da Gaja Feuer heilt!!!
		IF  (MY._Element == -Erde) { TEMP = 2; }
		IF  (MY._Element ==  Feuer) { TEMP = 3; }
		IF ((MY._Element == -Feuer) || (MY._Element == Gaja)) { TEMP = 4; }
		IF  (MY._Element == -Gaja) { TEMP = 5; }
	}

	IF (MY._Elementtyp == Erde) {
		IF  (MY._Element ==  Eis) { TEMP = 1; }	// Kein Blitz, da Erde Metall heilt!!!
		IF  (MY._Element == -Eis) { TEMP = 2; }
		IF  (MY._Element ==  Metall) { TEMP = 3; }
		IF ((MY._Element == -Metall) || (MY._Element == Erde)) { TEMP = 4; }
		IF  (MY._Element == -Erde) { TEMP = 5; }
	}

	IF (MY._Elementtyp == Metall) {	// Innerhalb einer Elementkombo
		IF  (MY._Element ==  Gaja) { TEMP = 1; }
		IF  (MY._Element == -Gaja) { TEMP = 2; }
		IF ((MY._Element ==  Eis) || (MY._Element ==  Blitz)) { TEMP = 3; }
		IF ((MY._Element == -Eis) || (MY._Element == -Blitz) || (MY._Element == Metall)) { TEMP = 4; }
		IF  (MY._Element == -Metall) { TEMP = 5; }
	}

	IF (MY._Elementtyp == Blitz) {
		IF  (MY._Element ==  Erde) { TEMP = 1; }
		IF  (MY._Element == -Erde) { TEMP = 2; }
		IF ((MY._Element ==  Eis) || (MY._Element ==  Feuer) || (MY._Element ==  Metall) || (MY._Element ==  Gaja)) { TEMP = 3; }
		IF ((MY._Element == -Eis) || (MY._Element == -Feuer) || (MY._Element == -Metall) || (MY._Element == -Gaja) || (MY._Element ==  Blitz)) { TEMP = 4; }
		IF  (MY._Element == -Blitz) { TEMP = 5; }
	}

	IF (MY._Elementtyp == Meteor) {
		IF ((MY._Element ==  Metall) || (MY._Element ==  Wasser)) { TEMP = 1; }
		IF ((MY._Element == -Metall) || (MY._Element == -Wasser)) { TEMP = 2; }
		IF ((MY._Element ==  Erde) || (MY._Element ==  Metall)) { TEMP = 3; }
		IF ((MY._Element == -Erde) || (MY._Element == -Metall) || (MY._Element == Meteor)) { TEMP = 4; }
		IF  (MY._Element == -Meteor) { TEMP = 5; }
	}

	// "Der Gegner" in den entsprechenden Namen tauschen (auch man selbst)
	IF (TEMP) {
		FNCT_Name_zur_ID(MY._charakter);
		STR_CPY (MMS, TEMP_STRING);
		IF (TEMP == 1) { MY._ZauberDMG *=  1.5; STR_CAT(MMS, Anor_z0); }
		IF (TEMP == 2) { MY._ZauberDMG *=  2;   STR_CAT(MMS, Anor_z1); }
		IF (TEMP == 3) { MY._ZauberDMG *=  0.5; STR_CAT(MMS, Anor_z2); }
		IF (TEMP == 4) { MY._ZauberDMG *= -0.5; STR_CAT(MMS, Anor_z3); }
		IF (TEMP == 5) { MY._ZauberDMG *= -1;   STR_CAT(MMS, Anor_z4); }

		MMS_Queue(48);
	}

	MY._KP -= MY._ZauberDMG;

	IF (MY._ZauberDMG > 0) {	// Farbkonvertierung
		IF (MY._Elementtyp ==    Eis) { MY._Elementtyp =  5; } ELSE {
		IF (MY._Elementtyp ==  Feuer) { MY._Elementtyp =  7; } ELSE {
		IF (MY._Elementtyp ==   Gaja) { MY._Elementtyp =  8; } ELSE {
		IF (MY._Elementtyp ==   Erde) { MY._Elementtyp = 10; } ELSE {
		IF (MY._Elementtyp == Metall) { MY._Elementtyp = 11; } ELSE {
		IF (MY._Elementtyp ==  Blitz) { MY._Elementtyp = 12; } ELSE {
		IF (MY._Elementtyp == Meteor) { MY._Elementtyp = 13; } } } } } } }
	} ELSE {
		MY._Elementtyp = 9;
	}

	MY._ZauberDMG = ABS(MY._ZauberDMG);

	FNCT_Schadenszahl(MY._ZauberDMG, MY._Elementtyp);
	MY._ZauberDMG = NULL;
	MY._Elementtyp = NULL;
}

function FNCT_Obj_erh_transp()
{
MY.TRANSPARENT = ON;
MY.OVERLAY = ON;
MY.METAL = ON;
	FNCT_Obj_erh_main();
}

function FNCT_Obj_erh_main()
{
MY.X -= 30;
MY.Y += 15;
MY.Z -= 40;
MY.PAN = 180;
MY.ROLL = 30;
VEC_NORMALIZE (MY.SCALE_X, 0.15);

	WHILE (MY._TIMER < 90) {
		MY._TIMER += 12.5 * TIME;
		MY.X = CAMERA.X - 25 + FSIN(MY._TIMER, 15);
		MY.Y = CAMERA.Y + 15;
		MY.Z = CAMERA.Z - 40;
		IF (ark == 45) {
			MY.X += 5;
			MY.Y += 3;
		}
	WAIT (1);
	}
	WHILE (MY._Main_Anim < 180) {
		MY.X = CAMERA.X - 10;
		MY.Y = CAMERA.Y + 15;
		MY.Z = CAMERA.Z - 40;
		MY._Main_Anim += 16 * TIME;
		TEMP = FSIN(MY._Main_Anim, 0.3) + 0.15;
		VEC_NORMALIZE (MY.SCALE_X, TEMP);
		IF (ark == 45) {
			MY.X += 5;
			MY.Y += 3;
		}
	WAIT (1);
	}
	WHILE (MY._TIMER > 0) {
		MY._TIMER -= 12.5 * TIME;
		MY.X = CAMERA.X - 25 + FSIN(MY._TIMER, 15);
		MY.Y = CAMERA.Y + 15;
		MY.Z = CAMERA.Z - 40;
		IF (ark == 45) {
			MY.X += 5;
			MY.Y += 3;
		}
	WAIT (1);
	}
ENT_REMOVE (MY);
}

function FNCT_Gespraechskamera()
{
ark = 45;
FNCT_16_9_blender();
	WHILE (PLAYER._Aktion == 60) {
		CAMERA.X += (PLAYER.X - CAMERA.X) * 0.1 * TIME;
		CAMERA.Y += (PLAYER.Y - 224 - CAMERA.Y) * 0.1 * TIME;
		CAMERA.Z += (PLAYER.Z + 448 - CAMERA.Z) * 0.1 * TIME;
	WAIT (1);
	}
ark = 60;
}

function FNCT_Flash_weiss()
{
ME = NULL;
	show_weiss.VISIBLE = ON;
	show_weiss.ALPHA = 0;
	WHILE (show_weiss.ALPHA < 100) { show_weiss.ALPHA += 50 * TIME;   WAIT (1); }
	WAITT (4);
	WAIT (5);
	WHILE (show_weiss.ALPHA >   0) { show_weiss.ALPHA -= 6.25 * TIME; WAIT (1); }
	show_weiss.VISIBLE = OFF;
	show_weiss.ALPHA = 50;
}

function FNCT_Intro()
{
var speed;

ME = NULL;

FNCT_Startbildschirm(OFF);

	HEART_100_F.VISIBLE = OFF;
	HEART_Beat.VISIBLE = OFF;
//	show_Status_a.VISIBLE = OFF;

	show_schwarz.VISIBLE = ON;
	show_schwarz.ALPHA = 100;

	Wettereinstellungen[1] = 90;

	STR_CPY (Spielername, Startname);
	Playerwerte[0]  = 4;
	Playerwerte[1]  = 4;
	Playerwerte[2]  = 4;
	Playerwerte[3]  = 4;
	Playerwerte[4]  = 4;
	Playerwerte[5]  = 4;
	Playerwerte[6]  = 4;
	Playerwerte[7]  = 4;
	Playerwerte[8]  = 0;
	Playerwerte[9]  = 10;
	Playerwerte[10] = 10;
	Playerwerte[11] = 10;
	Playerwerte[12] = 10;
	Playerwerte[13] = 10;
	Playerwerte[14] = 10;
	Playerwerte[15] = 0;
	Playerwerte[16] = 0;
	Waffen[0] = SWRT_1;
	Waffen[6] = 20;
	Waffen[7] = 20;

	TEMP = 0;
	WHILE (TEMP < 20) { Gains[TEMP] = Random(500); TEMP += 1; }

	WHILE (!PLAYER) { WAIT (1); }
	WAIT (1);	// Total bescheuert, muss aber so sein....
	WHILE (!PLAYER) { WAIT (1); }

	PLAYER.INVISIBLE = ON;
	Lise_Kopf.INVISIBLE = ON;
	PLAYER._Aktion = 60;

//	FNCT_16_9_blender();

	WAITT (16);

	dll_mp3play(Tracks[2]);

	PLAYER.X -= 128;

	TEMP.X = 2500; TEMP.Y = NULL; TEMP.Z = NULL;
	CAM_TARGET = ENT_CREATE ("flamme4.tga", TEMP.X, null);
	CAM_TARGET.INVISIBLE = ON;

	WAITT (24);

	WHILE (CAM_TARGET.X > 900) {
		CAM_TARGET.X -= 14 * TIME;
		show_schwarz.ALPHA -= 6.25 * TIME;
	WAIT (1);
	}

	show_schwarz.ALPHA = 0;

	WHILE (CAM_TARGET.Z < 860) {
		CAM_TARGET.Z += 8 * TIME;
		CAM_TARGET.X -= 8 * TIME;
	WAIT (1);
	}
	WHILE (CAM_TARGET.X > -700) {
		CAM_TARGET.X -= 8 * TIME;
		CAM_TARGET.Z -= 7 * TIME;
	WAIT (1);
	}
	WHILE (ark > 30) {
		ark -= TIME;
		show_schwarz.ALPHA += 3.333 * TIME;
	WAIT (1);
	}

	HEART_100_F.VISIBLE = ON;
	HEART_Beat.VISIBLE = ON;
//	show_Status_a.VISIBLE = ON;

	Quests[1] = 41;

/*	WHILE (CAMERA.X < -1500) {temps.y=camera.x;
//		show_schwarz.ALPHA -= 6.25 * TIME;
		speed.X += TIME;
		CAMERA.X += speed * TIME;
	WAIT (1);
	}
	WHILE (CAMERA.PAN < 90) {
		CAMERA.PAN  += 6.25 * TIME;
		CAMERA.TILT += 6.25 * TIME;
		CAMERA.ROLL = CAMERA.PAN;

		speed.X -= 0.6 * TIME;
		CAMERA.X += speed * TIME;
	WAIT (1);
	}
	show_schwarz.ALPHA = 50;
	show_schwarz.VISIBLE = OFF;
	CAMERA.TILT = 0;*/
}

//function FNCT_MMS_Timer(Zeit)
//{
//	WHILE (Zeit > NULL) {
//		Zeit -= TIME;
//	WAIT (1);
//	}
//STR_CPY (NACHRICHTEN_STRING, "");
//}

function MMS_Queue(Zeit)
{
IF (!STR_LEN(MMS)) { RETURN; }

ME = NULL;
TEMP = 0;
	WHILE (TEMP < 10) {
		IF (!STR_LEN(MMS_ARRAY.STRING[TEMP])) {
			STR_CPY (MMS_ARRAY.STRING[TEMP], MMS);
			break;
		}
	TEMP += 1;
	}

	IF (TEMP) {	// Wenns eh der erste ist gleichw eiter, sonst blockiert es sich selbst!
		WHILE (STR_LEN(MMS_ARRAY.STRING[0])) { WAIT (1); }

		TEMP = 0;
		WHILE (TEMP < 9) {
			STR_CPY(MMS_ARRAY.STRING[TEMP], MMS_ARRAY.STRING[TEMP + 1]);
		TEMP += 1;
		}
	}

	WHILE (STR_LEN(NACHRICHTEN_STRING)) { WAIT (1); }	// Um Menuenachrichtenueberschreibung zu verhindern

	FNCT_Nachrichtenswitch(ON);
	STR_CPY (NACHRICHTEN_STRING, MMS_ARRAY.STRING[0]);
	WAITT (Zeit);
	FNCT_Nachrichtenswitch(OFF);
	STR_CPY (NACHRICHTEN_STRING, "");
	STR_CPY (MMS_ARRAY.STRING[0], "");
	STR_CPY (MMS, "");
}

function FNCT_Namen_eingeben()
{
var Butt_best;
var data;

	LANG_BMAP_LOAD_Name(Globale[11]);
	show_Namen_eingeben.VISIBLE = ON;
	show_Namen_eingeben.ALPHA = NULL;
	WHILE (show_Namen_eingeben.ALPHA < 100) { show_Namen_eingeben.ALPHA += 6.25 * TIME; WAIT (1); }

	Zeichenzeiger.VISIBLE = ON;
	Zeichenzeiger.POS_X = 36;
	Zeichenzeiger.POS_Y = 569;
	show_TEMP_Spielername.VISIBLE = ON;
	STR_CPY (TEMP_Spielername, "Lise");
	data[2] = 4;

	WHILE (1) {
		IF (KEY_ANY) {
			data[0] += SIGN(KEY_PRESSED (Eingabewerte[3]) - KEY_PRESSED (Eingabewerte[2]) + KEY_FORCE.X);
			data[1] += SIGN(KEY_PRESSED (Eingabewerte[1]) - KEY_PRESSED (Eingabewerte[0]) - KEY_FORCE.Y);
		
			IF (data[0] > 20) { data[0] =  0; }
			IF (data[1] >  3) { data[1] =  0; }
			IF (data[0] <  0) { data[0] = 20; }
			IF (data[1] <  0) { data[1] =  3; }
	
			Zeichenzeiger.POS_X = 36  + data[0] * 25;
			Zeichenzeiger.POS_Y = 569 + data[1] * 25;

			SND_PLAY(dick, 100, 0);

			Butt_best[0] = 2;
			WHILE ((Butt_best[0] > 0) && (!KEY_PRESSED (Eingabewerte[5])) && (!KEY_PRESSED (28))) {
				Butt_best -= TIME;
			WAIT (1);
			}
		}

		IF ((KEY_PRESSED (Eingabewerte[5])) || (KEY_PRESSED (28))) {
			IF (data[1] == 0) {
				IF (data[2] < 20) {
					data[2] += 1;
					IF (data[0] ==  0) { STR_CAT (TEMP_Spielername, "A"); }
					IF (data[0] ==  1) { STR_CAT (TEMP_Spielername, "B"); }
					IF (data[0] ==  2) { STR_CAT (TEMP_Spielername, "C"); }
					IF (data[0] ==  3) { STR_CAT (TEMP_Spielername, "D"); }
					IF (data[0] ==  4) { STR_CAT (TEMP_Spielername, "E"); }
					IF (data[0] ==  5) { STR_CAT (TEMP_Spielername, "F"); }
					IF (data[0] ==  6) { STR_CAT (TEMP_Spielername, "G"); }
					IF (data[0] ==  7) { STR_CAT (TEMP_Spielername, "H"); }
					IF (data[0] ==  8) { STR_CAT (TEMP_Spielername, "I"); }
					IF (data[0] ==  9) { STR_CAT (TEMP_Spielername, "J"); }
					IF (data[0] == 10) { STR_CAT (TEMP_Spielername, "K"); }
					IF (data[0] == 11) { STR_CAT (TEMP_Spielername, "L"); }
					IF (data[0] == 12) { STR_CAT (TEMP_Spielername, "M"); }
					IF (data[0] == 13) { STR_CAT (TEMP_Spielername, "N"); }
					IF (data[0] == 14) { STR_CAT (TEMP_Spielername, "O"); }
					IF (data[0] == 15) { STR_CAT (TEMP_Spielername, "P"); }
					IF (data[0] == 16) { STR_CAT (TEMP_Spielername, "Q"); }
					IF (data[0] == 17) { STR_CAT (TEMP_Spielername, "R"); }
					IF (data[0] == 18) { STR_CAT (TEMP_Spielername, "S"); }
					IF (data[0] == 19) { STR_CAT (TEMP_Spielername, "T"); }
					IF (data[0] == 20) { STR_CAT (TEMP_Spielername, " "); }
				}
			}
			IF (data[1] == 1) {
				IF (data[2] < 20) {
					data[2] += 1;
					IF (data[0] ==  0) { STR_CAT (TEMP_Spielername, "U"); }
					IF (data[0] ==  1) { STR_CAT (TEMP_Spielername, "V"); }
					IF (data[0] ==  2) { STR_CAT (TEMP_Spielername, "W"); }
					IF (data[0] ==  3) { STR_CAT (TEMP_Spielername, "X"); }
					IF (data[0] ==  4) { STR_CAT (TEMP_Spielername, "Y"); }
					IF (data[0] ==  5) { STR_CAT (TEMP_Spielername, "Z"); }
					IF (data[0] ==  6) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] ==  7) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] ==  8) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] ==  9) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 10) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 11) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 12) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 13) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 14) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 15) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 16) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 17) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 18) { STR_CAT (TEMP_Spielername, "-"); }
					IF (data[0] == 19) { STR_CAT (TEMP_Spielername, " "); }
				}
				IF (data[2] > 0) {
					IF (data[0] == 20) { STR_TRUNC (TEMP_Spielername, 1); data[2] -= 1; }
				}
			}
			IF (data[1] == 2) {
				IF (data[2] < 20) {
					data[2] += 1;
					IF (data[0] ==  0) { STR_CAT (TEMP_Spielername, "a"); }
					IF (data[0] ==  1) { STR_CAT (TEMP_Spielername, "b"); }
					IF (data[0] ==  2) { STR_CAT (TEMP_Spielername, "c"); }
					IF (data[0] ==  3) { STR_CAT (TEMP_Spielername, "d"); }
					IF (data[0] ==  4) { STR_CAT (TEMP_Spielername, "e"); }
					IF (data[0] ==  5) { STR_CAT (TEMP_Spielername, "f"); }
					IF (data[0] ==  6) { STR_CAT (TEMP_Spielername, "g"); }
					IF (data[0] ==  7) { STR_CAT (TEMP_Spielername, "h"); }
					IF (data[0] ==  8) { STR_CAT (TEMP_Spielername, "i"); }
					IF (data[0] ==  9) { STR_CAT (TEMP_Spielername, "j"); }
					IF (data[0] == 10) { STR_CAT (TEMP_Spielername, "k"); }
					IF (data[0] == 11) { STR_CAT (TEMP_Spielername, "l"); }
					IF (data[0] == 12) { STR_CAT (TEMP_Spielername, "m"); }
					IF (data[0] == 13) { STR_CAT (TEMP_Spielername, "n"); }
					IF (data[0] == 14) { STR_CAT (TEMP_Spielername, "o"); }
					IF (data[0] == 15) { STR_CAT (TEMP_Spielername, "p"); }
					IF (data[0] == 16) { STR_CAT (TEMP_Spielername, "q"); }
					IF (data[0] == 17) { STR_CAT (TEMP_Spielername, "r"); }
					IF (data[0] == 18) { STR_CAT (TEMP_Spielername, "s"); }
					IF (data[0] == 19) { STR_CAT (TEMP_Spielername, "t"); }
					IF (data[0] == 20) {
						IF (STR_LEN(TEMP_Spielername)) { break; }
					}
				}
			}
			IF (data[1] == 3) {
				IF (data[2] < 20) {
					data[2] += 1;
					IF (data[0] ==  0) { STR_CAT (TEMP_Spielername, "u"); }
					IF (data[0] ==  1) { STR_CAT (TEMP_Spielername, "v"); }
					IF (data[0] ==  2) { STR_CAT (TEMP_Spielername, "w"); }
					IF (data[0] ==  3) { STR_CAT (TEMP_Spielername, "x"); }
					IF (data[0] ==  4) { STR_CAT (TEMP_Spielername, "y"); }
					IF (data[0] ==  5) { STR_CAT (TEMP_Spielername, "z"); }
					IF (data[0] ==  6) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] ==  7) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] ==  8) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] ==  9) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 10) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 11) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 12) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 13) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 14) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 15) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 16) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 17) { STR_CAT (TEMP_Spielername, ""); }
					IF (data[0] == 18) { STR_CAT (TEMP_Spielername, " "); }
					IF (data[0] == 19) { STR_CAT (TEMP_Spielername, " "); }
					IF (data[0] == 20) { STR_CPY (TEMP_Spielername, "Lise"); }
				}
			}
		WAITT (4);
		}
	WAIT (1);
	}


	Zeichenzeiger.VISIBLE = OFF;
	show_TEMP_Spielername.VISIBLE = OFF;

	WHILE (show_Namen_eingeben.ALPHA > 0) { show_Namen_eingeben.ALPHA -= 6.25 * TIME; WAIT (1); }
	show_Namen_eingeben.VISIBLE = OFF;
	show_Namen_eingeben.ALPHA = NULL;
	BMAP_PURGE(Name_1);

	STR_CPY (Spielername, TEMP_Spielername);
}

function FNCT_16_9_blender()
{
var timer;
ME = NULL;
	IF (show_schwarz_oben.VISIBLE) {
		timer = 16;
		WHILE (timer > 0) {
			timer -= TIME;
			show_schwarz_oben.POS_Y = -96 + 6 * timer;
			show_schwarz_unten.POS_Y = 769 - 6 * timer;
			CAMERA.POS_Y = show_schwarz_oben.POS_Y + 96;
			CAMERA.SIZE_Y = 768 - 12 * timer;
		WAIT (1);
		}
		CAMERA.POS_Y = 0;
		CAMERA.SIZE_Y = 768;
		show_schwarz_oben.VISIBLE = OFF;
		show_schwarz_unten.VISIBLE = OFF;
	} ELSE {
		show_schwarz_oben.VISIBLE = ON;
		show_schwarz_unten.VISIBLE = ON;
		WHILE (timer < 16) {
			timer += TIME;
			show_schwarz_oben.POS_Y = -96 + 6 * timer;
			show_schwarz_unten.POS_Y = 768 - 6 * timer;
			CAMERA.POS_Y = show_schwarz_oben.POS_Y + 96;
			CAMERA.SIZE_Y = 768 - 12 * timer;
		WAIT (1);
		}
		show_schwarz_oben.POS_Y = 0;	// Wird im Dialog 221 aufgegriffen!
		show_schwarz_unten.POS_Y = 672;
		CAMERA.POS_Y = 96;
		CAMERA.SIZE_Y = 576;
	}
}

function FNCT_Name_zur_ID(ID)
{
	IF (ID ==   10) { STR_CPY (TEMP_STRING, Spielername); RETURN; }

// Knochenkaempfer
	IF (ID == 1000) { STR_CPY (TEMP_STRING, SSKEL_a); RETURN; }
	IF (ID == 1001) { STR_CPY (TEMP_STRING, SSKEL_b); RETURN; }
	IF (ID == 1002) { STR_CPY (TEMP_STRING, SSKEL_c); RETURN; }

	IF (ID == 1010) { STR_CPY (TEMP_STRING, SWESP_a); RETURN; }
	IF (ID == 1011) { STR_CPY (TEMP_STRING, SWESP_b); RETURN; }

	IF (ID == 1020) { STR_CPY (TEMP_STRING, SREIS_a); RETURN; }

	IF (ID == 1030) { STR_CPY (TEMP_STRING, SUEBU_a); RETURN; }

	IF (ID == 1040) { STR_CPY (TEMP_STRING, SBAER_a); RETURN; }
}

function Kamera()
{
var TIMER;

CAM_TARGET = ME;

	WHILE (CAM_TARGET) {
		TIMER += TIME;

		IF (Globale[0]) {
			IF ((CAM_TARGET == PLAYER) && (TIMER >= 4)) {
				Zielerkennung(364);
				YOU = MY._Angriffsziel;
			}
			IF (YOU) {
				cam_dist.X = CAMERA.X - (CAM_TARGET.X + YOU.X) * 0.5;
				cam_dist.Y = (CAM_TARGET.Y + YOU.Y) * 0.5 - CAMERA.Y - 272;
			} ELSE {
				cam_dist.X = CAMERA.X - CAM_TARGET.X;
				cam_dist.Y = CAM_TARGET.Y - CAMERA.Y - 272;
			}
		} ELSE {
			cam_dist.X = CAMERA.X - CAM_TARGET.X;
			cam_dist.Y = CAM_TARGET.Y - CAMERA.Y - 272;
		}

		IF (Wasserbewegung.X) { CAMERA.ROLL = FSIN(total_ticks, 2); }

		CAMERA.Z += (((CAM_TARGET.Z + 448) - CAMERA.Z) / 10) * TIME;
		TEMP = MAX(VEC_LENGTH(CAM_TARGET._speed_n_save_X) - 14, 0);
		CAMERA.ARC += (((ark + 15 - FCOS(TEMP * 30, 15)) - CAMERA.ARC) / 10) * TIME;

		Kampfplatz[0] = CAMERA.X - 288;
		Kampfplatz[1] = CAMERA.X + 288;
		Kampfplatz[2] = CAMERA.Y + 512 + 128;
		Kampfplatz[3] = CAMERA.Y + 512 - 448;
	
	// Y: 384 (-192) - 640 (+256)
	// X: 128 (+256)
		IF (cam_dist.X >  96) { CAMERA.X -= ((cam_dist.X - 96) / 4) * TIME; }
		IF (cam_dist.X < -96) { CAMERA.X -= ((cam_dist.X + 96) / 4) * TIME; }
		IF (cam_dist.Y >  64) { CAMERA.Y += ((cam_dist.Y - 64) / 4) * TIME; }
		IF (cam_dist.Y < -64) { CAMERA.Y += ((cam_dist.Y + 64) / 4) * TIME; }
	WAIT (1);
	}
}

function FNCT_Submenue()
{
IF ((Globale[8]) && (Globale[8] != MENU_Aktiv) || (Menue == ON)) { RETURN; }
	IF (Submenue.VISIBLE) {
		Submenue.VISIBLE = OFF;
		Globale[8] = 0;

		MOUSE_MODE = 0;
	} ELSE {
		Submenue.VISIBLE = ON;
		Globale[8] = MENU_Aktiv;

		MOUSE_MODE = 2;
		Maeusli();
	}
}
//on_Esc = FNCT_Submenue;

//////////////////////////////////////////////
// Eventfunktionen

function EVNT_DMG_Zuweisung()
{

	IF (MY._charakter) {

		IF (YOU == PLAYER) {
			IF (MY._KP > 0) { EVNT_Schildtexte();
				} ELSE { STR_CPY (Schildtext, ""); }
		}

		IF ((MY._charakter < 1000) && (YOU._charakter < 1000) || (MY._charakter >= 1000) && (YOU._charakter >= 1000)) {

			IF ((YOU == PLAYER) && (MY._charakter < 1000)) {
				PLAYER._Alt_Aktion1 = 1;
				IF (!MY._KP) { EVNT_Schildtexte(); }
				IF ((Bewegungsbefehle[3]) && (KEY_PRESSED (Eingabewerte[5])) && (MY.FLAG1 == 0) && (!Menue)) {
					IF ((MY._charakter >= 100) && (MY._charakter <= 160)) { EVNT_Aufnehmen(); RETURN; }
					IF (MY._charakter == 55) { Quests[1] = MY.Skill4; RETURN; }
//					PLAYER._Aktion = 60;
					FNCT_Gespraechsdef();
				}
			}
			RETURN;

		} ELSE {

			IF (!MY._KP) { RETURN; } // Keine Division durch null bei Charakterobjekten
			MY._Reichweite = 1200;	// Getroffene Gegner reagieren

			IF (YOU._Att_def == 1) {
				IF (ME  == PLAYER) { Prozentwerte[2] += 1; MY._Alt_Aktion2 = 160; }	// Beide PALYER._Alt_Aktion2 setzen (treffen/ getroffen werden)
				IF ((YOU == PLAYER) || (!YOU._charakter)) {	// Fuer den Pfeil
					Prozentwerte[0] += 1;
					YOU._Alt_Aktion2 = 160;
					TEMP = MY._Str + MY._Vit + MY._Ges + MY._Agi + MY._PDam + MY._PDef;
					FNCT_Skillgains(NULL, TEMP);
					TEMP = MY._Str + MY._Vit + MY._Ges + MY._Agi + MY._PDam + MY._PDef;
					FNCT_Statgains(1);
					IF (!YOU._charakter) { YOU._Att_def = 2; }	// Keine Multihits mit Pfeilen
				}	// Evtl. noch Kampfkraft als Faktor mitgeben

					// Egal ob getroffen oder nicht, Angriff muss stoppen!
					IF (YOU._charakter == 1020) { YOU._Att_def = 2; CAMERA.Z -= YOU._Attack_Power; }

					IF (80 * (YOU._Ges / MY._Ges) < Random(100)) {	// Miss! oder Treffer

						IF (PLAYER == ME) {
							Prozentwerte[3] += 1;
							TEMP = YOU._Str + YOU._Vit + YOU._Ges + YOU._Agi + YOU._PDam + YOU._PDef;
							FNCT_Statgains(5);
						}
						att_temp = 1000;
						MY._Evade_Anim = 1;

					} ELSE {

						IF (MY._Zustand != 4) {
							IF ((PLAYER == ME) && (MY._Zustand != 3) && (80 * (YOU._Ges / MY._Ges) < Random(100)) && (MY._Aktion != 70)) {	// Evade
								Prozentwerte[3] += 1;
								MY._Ausweichen = 1;
								MY._Aktion = 55;
								MY._Att_def = 0;
								RETURN;
							}
						} ELSE { MY._Zustandstimer = 0; }	// Schlaf aufheben

						FNCT_Zustandsaenderung();	// War vorher dahinter, bei miss und treffer...

						IF ((YOU == PLAYER) || (!YOU._charakter)) { Prozentwerte[1] += 1; }
						att_temp = (YOU._Str * 0.5 - YOU._Str * 0.5 * (Random(100 - YOU._Ges)) / 100 + YOU._PDam * ((YOU._Kampfskill + 100) / 200));
						att_temp *= YOU._Attack_Power;
						IF (Random(500) < YOU._Ges) {	// Critical Visualisierung hinzufuegen
							att_temp *= 1.5;
							MY._Main_Anim = NULL;
							MY._Aktion = 81;
							VEC_SET (TEMP.X, YOU.X);	// Richtung anpassen
							VEC_SUB (TEMP.X, MY.X);	TEMP.Z = 0;
							VEC_TO_ANGLE (MY.PAN, TEMP.X);
							EFFEKT_ATT_1(YOU, 2);
						} ELSE { EFFEKT_ATT_1(YOU, 1); }
						IF (MY._Anfaelligkeit == YOU._Waffenart) {
							att_temp *= 1.5;
							IF (YOU == PLAYER) { STR_CPY (MMS, Anor_11); }
							IF (ME  == PLAYER) { STR_CPY (MMS, Anor_12); }
							MMS_Queue(48);
						} ELSE {
							IF (MY._Widerstand == YOU._Waffenart) {
								att_temp /= 1.5;
								STR_CPY (MMS, Anor_13);
								MMS_Queue(48);
						}	}

						def_temp = MY._PDef * (1 + (MY._Vit / 200));

//						IF ((!MY._Blocken) && (PLAYER == ME) && (Waffen[7] == 5) && (MY._Aktion != 70)) {	// Der Spieler darf blocken
						IF ((!MY._Blocken) && (MY._Schildtraeger == 1) && (MY._Aktion != 70)) {
//							TEMP = ((Skills[5] / YOU._Kampfskill) * 20) + 10;
							TEMP = ((MY._Parrierskill / MAX(YOU._Kampfskill, 1)) * 20) + 10;
							IF (PLAYER == ME) { Prozentwerte[4] += 1; }
							IF (Random(100) < TEMP) {	// Noch Powerverlust?
								MY._Blocken = 1;
//								def_temp += Waffen[Waffen[7]];
								def_temp += MY._SDef;
								IF (PLAYER == ME) {
									Prozentwerte[5] += 1;
									FNCT_Skillgains(NULL, TEMP);
								}
								SND_PLAY(Dink, 100, 0);
							} ELSE {
								IF (INT(MY._Aktion / 10) != 8) { MY._Aktion = 80; }	// Nur wenn noch kein Sonderstatus exisitert
								MY._Power -= YOU._Attack_Power * 100;			//	Power hochzaehlen, dann weiter
								SND_PLAY(chrak, 100, 0);
							}
						} ELSE {
							SND_PLAY(chrak, 100, 0);
							IF (MY._Aktion == 70) {	// Beim zaubern
								IF (Random(100) > 50 + (MY._Int / 2)) { MY._Aktion = 80; }
							} ELSE {
								IF (INT(MY._Aktion / 10) != 8) { MY._Aktion = 80; }	// Nur wenn noch kein Sonderstatus exisitert
							}
							MY._Power -= YOU._Attack_Power * 100;			//	Power hochzaehlen, dann weiter
						}
						IF (att_temp - def_temp >= 1) { att_temp -= def_temp; } ELSE { att_temp = MAX(Random(1), 0.1); }

						MY._Power = MAX(MY._Power, 0);
						IF (att_temp > 1000) { att_temp = 999.999; }
						MY._KP -= att_temp;
//						MY._Aktion = 80;		// Man wird getroffen, musste in Blockabhaenigkeit stehen
						MY._Att_def = 0;		// Sicher ist sicher
						MY._Main_Anim = 0;	// Die Main Animation muss natuerlich von vorne beginnen

						MY._Ohnmacht += (YOU._Vit / MY._Vit) * MIN(YOU._Attack_Power, 1.5) * 100;
						IF ((MY._Ohnmacht > 300) && (!MY._Zustand)) { FNCT_Ohnmachtsanfall(); }

						IF ((MY._KP <= 0) && (ME != PLAYER)) { YOU._Gold += MY._Gold; MY._Gold = 0; }

					}

				IF (PLAYER == ME) {
					FNCT_Schadenszahl(att_temp, 3);
					IF (MY._Power > 100) { MY._Aktion = 40; }	// Bei Aufladung kein 'autsch'
					TEMP = YOU._Str + YOU._Vit + YOU._Ges + YOU._Agi + YOU._PDam + YOU._PDef;
					FNCT_Statgains(1);

				} ELSE { FNCT_Schadenszahl(att_temp, 6); }

			}

		}
	}
IF (Prozentwerte[0] >= 1000) { Prozentwerte[0] /= 4; Prozentwerte[1] /= 4; }
IF (Prozentwerte[2] >= 1000) { Prozentwerte[2] /= 4; Prozentwerte[3] /= 4; }
IF (Prozentwerte[4] >= 1000) { Prozentwerte[4] /= 4; Prozentwerte[5] /= 4; }
}


function EVNT_Schildtexte()
{

IF (YOU == PLAYER) { VEC_SET (Schild_Platz.X, MY.X); Schild_Platz.Z += MY.MAX_Z; }

	IF (EVENT_TYPE == EVENT_SCAN) {
		IF (!MY._charakter) {	// Uncharakterisierte Objekte
			IF (MY.Skill3 ==   0) { STR_CPY (Schildtext, SUnch_0); }
			IF (MY.Skill3 ==  10) { STR_CPY (Schildtext, SUnch_10); }
			IF (MY.Skill3 ==  20) { STR_CPY (Schildtext, SUnch_20); }
			IF (MY.Skill3 ==  30) { STR_CPY (Schildtext, SUnch_30); }
			IF (MY.Skill3 ==  40) { STR_CPY (Schildtext, SUnch_40); }
			IF (MY.Skill3 ==  45) { STR_CPY (Schildtext, SUnch_45); }
			IF (MY.Skill3 ==  50) { STR_CPY (Schildtext, SUnch_50); }
			IF (MY.Skill3 ==  60) { STR_CPY (Schildtext, SUnch_60); }
			IF (MY.Skill3 ==  70) { STR_CPY (Schildtext, SUnch_70); }
			IF (MY.Skill3 ==  80) { STR_CPY (Schildtext, SUnch_80); }
			IF (MY.Skill3 ==  90) { STR_CPY (Schildtext, SUnch_90); }
			IF (MY.Skill3 == 100) { STR_CPY (Schildtext, SUnch_100); }
			IF (MY.Skill3 == 101) { STR_CPY (Schildtext, SUnch_101); }
			IF (MY.Skill3 == 110) { STR_CPY (Schildtext, SUnch_110); }
			IF (MY.Skill3 == 120) { STR_CPY (Schildtext, SUnch_120); }
			IF (MY.Skill3 == 130) { STR_CPY (Schildtext, SUnch_130); }
		} ELSE {
			IF (MY._charakter ==   30) { STR_CPY (Schildtext, SChar_30); }
			IF (MY._charakter ==   55) {
				IF (MY.Skill4 ==   1) { STR_CPY (Schildtext, SChar_55_1); }
				IF (MY.Skill4 ==  10) { STR_CPY (Schildtext, SChar_55_10); }
				IF (MY.Skill4 ==  11) { STR_CPY (Schildtext, SChar_55_11); }
				IF (MY.Skill4 ==  12) { STR_CPY (Schildtext, SChar_55_10); }
				IF (MY.Skill4 ==  13) { STR_CPY (Schildtext, SChar_55_13); }
				IF (MY.Skill4 ==  14) { STR_CPY (Schildtext, SChar_55_10); }
				IF (MY.Skill4 ==  15) { STR_CPY (Schildtext, SChar_55_15); }
				IF (MY.Skill4 ==  16) { STR_CPY (Schildtext, SChar_55_16); }
				IF (MY.Skill4 ==  17) { STR_CPY (Schildtext, SChar_55_17); }
				IF (MY.Skill4 ==  18) { STR_CPY (Schildtext, SChar_55_10); }
				IF (MY.Skill4 ==  19) { STR_CPY (Schildtext, SChar_55_19); }
				IF (MY.Skill4 ==  20) { STR_CPY (Schildtext, SChar_55_10); }
				IF (MY.Skill4 ==  21) { STR_CPY (Schildtext, SChar_55_21); }

				IF (MY.Skill4 ==  30) { STR_CPY (Schildtext, SChar_55_30); }
				IF (MY.Skill4 ==  31) { STR_CPY (Schildtext, SChar_55_31); }

				IF (MY.Skill4 ==  42) { STR_CPY (Schildtext, SChar_55_42); }
				IF (MY.Skill4 ==  43) { STR_CPY (Schildtext, SChar_55_43); }
			}
			IF (MY._charakter ==  100) { STR_CPY (Schildtext, SSWRT_1); }
			IF (MY._charakter ==  101) { STR_CPY (Schildtext, SKLAU_1); }
			IF (MY._charakter ==  102) { STR_CPY (Schildtext, SBOGN_1); }
			IF (MY._charakter ==  103) { STR_CPY (Schildtext, SKEUL_1); }
			IF (MY._charakter ==  131) { STR_CPY (Schildtext, SChar_131); }
			IF (MY._charakter ==  200) { STR_CPY (Schildtext, SChar_200); }
			IF (MY._charakter ==  201) { STR_CPY (Schildtext, SChar_201); }
			IF (MY._charakter ==  202) { STR_CPY (Schildtext, SChar_202); }
			IF (MY._charakter ==  203) { STR_CPY (Schildtext, SChar_203); }
			IF (MY._charakter ==  204) { STR_CPY (Schildtext, SChar_204); }
			IF (MY._charakter ==  205) { STR_CPY (Schildtext, SChar_205); }
			IF (MY._charakter ==  240) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  241) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  242) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  243) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  244) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  245) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  246) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  247) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  248) { STR_CPY (Schildtext, SChar_240); }
			IF (MY._charakter ==  260) { STR_CPY (Schildtext, SChar_260); }
			IF (MY._charakter ==  261) { STR_CPY (Schildtext, SChar_260); }
			IF (MY._charakter ==  262) {
				IF (MY.Skill4  ==    0) { STR_CPY (Schildtext, SChar_262_0); }
				IF (MY.Skill4  ==    1) { STR_CPY (Schildtext, SChar_262_1); }
				IF (MY.Skill4  ==    2) { STR_CPY (Schildtext, SChar_262_2); }
				IF (MY.Skill4  ==    3) { STR_CPY (Schildtext, SChar_262_3); }
				IF (MY.Skill4  ==    4) { STR_CPY (Schildtext, SChar_262_4); }
				IF (MY.Skill4  ==    5) { STR_CPY (Schildtext, SChar_262_5); }
			}
			IF (MY._charakter ==  263) { STR_CPY (Schildtext, SChar_260); }
			IF (MY._charakter ==  264) {
				IF (MY.Skill4 == 10) { STR_CPY (Schildtext, SChar_264_10); }
				IF (MY.Skill4 == 11) { STR_CPY (Schildtext, SChar_264_11); }
				IF (MY.Skill4 == 12) { STR_CPY (Schildtext, SChar_264_12); }
				IF (MY.Skill4 == 13) { STR_CPY (Schildtext, SChar_264_13); }
				IF (MY.Skill4 == 14) { STR_CPY (Schildtext, SChar_264_14); }
			}
			IF (MY._charakter == 1000) { STR_CPY (Schildtext, SSKEL_a); }
			IF (MY._charakter == 1001) { STR_CPY (Schildtext, SSKEL_b); }
			IF (MY._charakter == 1002) { STR_CPY (Schildtext, SSKEL_c); }
// Knochenkaempfer

			IF (MY._charakter == 1010) { STR_CPY (Schildtext, SWESP_a); }
			IF (MY._charakter == 1011) { STR_CPY (Schildtext, SWESP_b); }

			IF (MY._charakter == 1020) { STR_CPY (Schildtext, SREIS_a); }

			IF (MY._charakter == 1030) { STR_CPY (Schildtext, SUEBU_a); }

			IF (MY._charakter == 1040) { STR_CPY (Schildtext, SBAER_a); }

/*			IF (MY._charakter >= 1000) {
				STR_FOR_NUM (TEMP_STRING, INT(MY._KP * 10));  STR_CAT (Schildtext, TEMP_STRING);
				STR_CAT (Schildtext, "/ ");
				STR_FOR_NUM (TEMP_STRING, INT(MY._Vit * 10)); STR_CAT (Schildtext, TEMP_STRING);
				STR_CAT (Schildtext, ")");
			}*/

		}
		WAIT (1); STR_CPY (Schildtext, "");
	}
}

function EVNT_Tuererkennung()
{
		VEC_SET (MY._speed_n_save_X, YOU.X);
		VEC_SUB (MY._speed_n_save_X, MY.X);
		VEC_SET (TEMP.X, NULLVECTOR);
		TEMP.PAN = -MY.PAN;
		VEC_ROTATE (MY._speed_n_save_X, TEMP.PAN);
		IF (MY._speed_n_save_Y > 0) { IF (MY._Aktion == 0) { /*ENT_PLAYSOUND (ME, door_op, 100);*/ } MY._Aktion = 1; } ELSE { IF (MY._Aktion == 0) { /*ENT_PLAYSOUND (ME, door_op, 100);*/ } MY._Aktion = 2; }
}

function EVNT_Abprall()
{
MY._TIMER = 1;
}

function EVNT_Abstossen()
{
	IF (EVENT_TYPE == EVENT_IMPACT) {

		VEC_SET (MY._speed_n_save_X, MY.X);
		VEC_SUB (MY._speed_n_save_X, YOU.X);

		TEMP = VEC_LENGTH (YOU._speed_n_save_X);

		VEC_NORMALIZE (MY._speed_n_save_X, TEMP);
		VEC_ADD (MY._speed_n_save_X, YOU._speed_n_save_X);

		VEC_SCALE (YOU._speed_n_save_X, 0.6);
		VEC_SCALE (MY._speed_n_save_X, 0.3);	// haelfte weil doppelt
		MY._winkel = SIGN(Random(2) - 1);
	} ELSE {
		VEC_SET (MY._speed_n_save_X, NULLVECTOR);
	}
}

function EVNT_Aufnehmen()
{
var count;

	IF ((EVENT_TYPE == EVENT_SCAN) && (PLAYER == YOU)) {
		PLAYER._Aufheben = 1; PLAYER._Main_Anim = 0;
		IF (MY._charakter == 100) {
			Quests[MY._charakter] = 1;
			PLAYER._Alt_Aktion1 = 0;
			Waffen[0] = SWRT_1;
			STR_CPY (Schildtext, "");
			ENT_CREATE ("w_1_a.mdl", CAMERA.X, FNCT_Obj_erh_main);
			STR_CPY (MMS, SAufn_100);
			MMS_Queue(48);
			ENT_REMOVE (MY);
			GOTO Ende;
		}
		IF (MY._charakter == 101) {
			Quests[MY._charakter] = 1;
			PLAYER._Alt_Aktion1 = 0;
			Waffen[1] = KLAU_1;
			STR_CPY (Schildtext, "");
			ENT_CREATE ("w_2_a.mdl", CAMERA.X, FNCT_Obj_erh_main);
			STR_CPY (MMS, SAufn_101);
			MMS_Queue(48);
			ENT_REMOVE (MY);
			GOTO Ende;
		}
		IF (MY._charakter == 102) {
			Quests[MY._charakter] = 1;
			PLAYER._Alt_Aktion1 = 0;
			Waffen[2] = BOGN_1;
			STR_CPY (Schildtext, "");
			ENT_CREATE ("w_3_a.mdl", CAMERA.X, FNCT_Obj_erh_main);
			STR_CPY (MMS, SAufn_102);
			MMS_Queue(48);
			ENT_REMOVE (MY);
			GOTO Ende;
		}
		IF (MY._charakter == 103) {
			Quests[MY._charakter] = 1;
			PLAYER._Alt_Aktion1 = 0;
			Waffen[4] = KEUL_1;
			STR_CPY (Schildtext, "");
			ENT_CREATE ("w_5_a.mdl", CAMERA.X, FNCT_Obj_erh_main);
			STR_CPY (MMS, SAufn_103);
			MMS_Queue(48);
			ENT_REMOVE (MY);
			GOTO Ende;
		}
		IF (MY._charakter == 131) {
			Quests[131] = 2;
			PLAYER._Alt_Aktion1 = 0;
			STR_CPY (Schildtext, "");
			ENT_CREATE ("Obj_aa.mdl", CAMERA.X, FNCT_Obj_erh_main);
			STR_CPY (MMS, SAufn_131); }
			MMS_Queue(48);
			YOU = MY._Glanz;
			IF (YOU) { ENT_REMOVE (MY._Glanz); }
			ENT_REMOVE (MY);
			GOTO Ende;
		}

Ende:

	WHILE (count < 480) { count += TIME; WAIT (1); }

	}
}