/* MP3/Ogg/Wma/Midi etc. Player for all editions  
   Programmed by TripleX */
   
/* How to use:
   Include the mp3.wdl and the mp3.dll into your main folder of the project and include the
   mp3.wdl into your main script (include <mp3.wdl>; ).
   Now you can call all mp3 functions. */

dllfunction dll_mp3init(filename);  /* This is the first function you have to call. It initialize an mp3 file and returns an ID YOU NEED FOR 
                                       ALL INSTRUCTIONS!!! 
                                       
                                       Example:
                                       
                                       var id;
                                       id = dll_mp3init("Ausbilder Schmidt - Morgen Ihr Luschen.ogg"); */
                                    

dllfunction dll_mp3play(id);     /* Starts the mp3/ogg usw. file. 
                                    Example:
                                    
                                    var id;
                                    id = dll_mp3init("Ausbilder Schmidt - Morgen Ihr Luschen.ogg"); //init the song
                                    dll_mp3play(id); //play it */
                                   
dllfunction dll_mp3playloop(id);  /* not usable. FOR LOOPING A SONG USE dll_mp3loopplay(id); */
dllfunction dll_mp3stop(id);      /* Stops a song
                                     Example:
                                     
                                     var id;
                                     id = dll_mp3init("Ausbilder Schmidt - Morgen Ihr Luschen.ogg"); //init the song
                                     dll_mp3play(id);
                                     sleep(5);
                                     dll_mp3stop(id); */
dllfunction dll_mp3pause(id);     /* Pauses a song.. same syntax as dll_mp3stop(id). The song can be resumed with dll_mp3resume(id). */
dllfunction dll_mp3resume(id);    /*Resumes a paused song */
dllfunction dll_mp3getposition(id);  /* Returns the Position of the song (in seconds) */
dllfunction dll_mp3setposition(id,zeit);  /* Sets the Position of the song (in seconds. 
                                             
                                             Example:
                                             var id;
                                             id = dll_mp3init("Ausbilder Schmidt - Morgen Ihr Luschen.ogg"); //init the song
                                             dll_mp3play(id);
                                             dll_mp3setposition(id,10); //jumps to 10 seconds! */
dllfunction dll_mp3getplayback(id); /* Returns the speed of the song */
dllfunction dll_mp3setplayback(id,plaback); /* Set the speed of a song. MUST NOT BE ZERO */
FUNCTION dll_mp3setvolume(id,vol); /* Sets the volume of a song. Maximum volume = 1000. Minimum volume = 0 
                                         Example:
                                         var id;
                                         id = dll_mp3init("Ausbilder Schmidt - Morgen Ihr Luschen.ogg"); //init the song
                                         dll_mp3play(id);
                                         dll_mp3setvolume(id,-1000); */
dllfunction dll_mp3setbalance(id,vol); /* Sets the Balance. The value can range from -10,000 to 10,000. 
                                          The value -10,000 means the right channel is attenuated by 100 dB and is effectively silent. 
                                          The value 10,000 means the left channel is silent. The neutral value is 0, which means that both channels 
                                          are at full volume. When one channel is attenuated, the other remains at full volume. */
dllfunction dll_mp3getlength(id);    /* Returns the duration of a song (in seconds */
dllfunction dll_mp3tune(id,vol,pan,loop); /* Tunes the volume, balance(pan), and looping. If you don't want to change 1 parameter,
                                             write -1. */

dllfunction dll_mp3state(id);    /* Returns the state of the song.
                                    1 for playing
                                    2 for not playing
                                    3 for pause */
dllfunction dll_mp3remove(id);  /* VERY IMPORTANT: Removes the song from the memory. Call this function if you don't need the song anymore */


FUNCTION dll_mp3mastervol(volume); /* Changes the Volume of ALL songs. */

FUNCTION dll_mp3loopplay(id); /* Same as dll_mp3play(id). Only loops the track */

dllfunction dll_mp3getvolume(id); /* gets volume */

dllfunction dll_mp3inited(id); /* checks if the id exists */

FUNCTION dll_mp3mass(COMMAND,INDEX); /* changes the status of all songs. following Commands and Indexes are possible:
                                       
                                        Command           Index
                                        MP3_PLAY          NULL
                                        MP3_PAUSE         NULL
                                        MP3_RESUME        NULL
                                        MP3_REMOVE        NULL
                                        MP3_STOP          NULL
                                        MP3_BALANCE       The balance value
                                        MP3_POSITION      The new position of all tracks */
                                        
dllfunction dll_mp3getinfo(id);   /* gets the ID3 (version1) infos of an MP3 (ONLY MP3!! DONT USE OTHER FILE FORMATS FOR THIS FUNCTIONS
                                     dll_mp3getinfo saves all informations into strings. 
                                     
                                     List:
                                     
                                       Information      Stringname
                                       Title            dll_mp3TITLE
                                       Artist           dll_mp3ARTIST
                                       Comment          dll_mp3COMMENT
                                       Year             dll_mp3YEAR
                                       Album            dll_mp3ALBUM 
                                       
                                     The return values of the functions:
                                     
                                     -1 The mp3 file don't contain an ID3 tag. Give the mp3 file an Id3 tag with programms like winamp, or for all german users: http://www.mp3tag.de/ !
                                     1  Succsessful.
                                     0  The mp3 don't exists */

dllfunction dll_mp3GetInfoFromFilename(filename); /* Same function as dll_mp3getinfo, only reads the id3 tags out of a file. 
                                                     When you want to use this function you don't have to init the mp3 file. */


//Dont use following functions
dllfunction dll_mp3setvol(id,vol); /* DONT USE THIS FUNCTION */
dllfunction dll_mp3looper(id);  /* RESERVED!!! for looping */


VAR dll_mp3handle; //DLL HANDLE. DONT FORGOT TO CLOE THE DLL BEFORE YOU EXIT THE ENGINE!
VAR dll_mp3initvar; //1 if the mp3 is inited. DON'T USE DLLFUNCTIONS BEFORE THIS VAR ISN'T 1!!
VAR dll_mastervolume = 1000; //VOLUME in per cent of ALL songs. Example: Set this var to 500, and all songs will get 50% more quite.. (woaa what an english :D )
VAR dll_mastervolume_0percent = -4000; /* The 0 Percent mark for the mastervolume and the normal volume 
                                          As higher, as louder is the sound. As lower, as more quiete is the sound */

STRING dll_mp3TITLE[30]; //Contains the title of a track, after executing dll_mp3getinfo(id);
STRING dll_mp3ARTIST[30]; //Contains the title of a track, after executing dll_mp3getinfo(id);
STRING dll_mp3COMMENT[30]; //Contains the title of a track, after executing dll_mp3getinfo(id);
STRING dll_mp3YEAR[4]; //Contains the title of a track, after executing dll_mp3getinfo(id);
STRING dll_mp3ALBUM[30]; //Contains the title of a track, after executing dll_mp3getinfo(id);


VAR dll_mp3orginalvolume[128]; //reserved

//Defines
DEFINE MP3_PLAY,0;
DEFINE MP3_PAUSE,1;
DEFINE MP3_RESUME,2;
DEFINE MP3_REMOVE,3;
DEFINE MP3_BALANCE,4;
DEFINE MP3_POSITION,5;
DEFINE MP3_STOP,6;


//Starts the mp3 dll
starter dll_mp3starter()
{
	dll_mp3handle = dll_open("mp3.dll");
	var volume;
	var a;
   while(a < 127) { dll_mp3orginalvolume[a] = 0; a += 1; }
   dll_mp3initvar = 1;
	volume = dll_mastervolume;
	while(1)
	{
	   if(dll_mastervolume != volume) { volume = dll_mastervolume; dll_mp3mastervol(dll_mastervolume); }
		dll_mp3inited(0);
	   sleep(1);
   }
}


//Loop function
FUNCTION dll_mp3loopplay(id)
{
	dll_mp3playloop(id);
	while(dll_mp3state(id) > 0)
	{
		dll_mp3looper(id);
		sleep(1);
	}
}

//Changes the master volume
FUNCTION dll_mp3mastervol(volume)
{
	var a;
	var b;
	while(a < 127)
	{
		if(dll_mp3inited(a) == 1)
		{
			volume=volume;
			dll_mp3setvolume(a,volume);
		}
		a+=1;
	}
}

//Sets the volume for all tracks
FUNCTION dll_mp3setallvol(volume)
{
	var a;
	var b;
	while(a < 127)
	{
		if(dll_mp3inited(a) == 1)
		{
	      b = dll_mastervolume_0percent + (volume/1000)*(abs(dll_mastervolume_0percent));
			dll_mp3orginalvolume[a] = b;
			temp = dll_mp3setvol(a,b);
		}
		a+=1;
	}
}

//Change the status of all tracks
FUNCTION dll_mp3mass(COMMAND,INDEX)
{
	var a;
	var b;
	while(a < 127)
	{
		if(dll_mp3inited(a) == 1)
		{
		   IF( COMMAND == MP3_PLAY ) { dll_mp3play(a); }
		   IF( COMMAND == MP3_PAUSE ) { dll_mp3pause(a); }
		   IF( COMMAND == MP3_RESUME ) { dll_mp3resume(a); }
		   IF( COMMAND == MP3_STOP ) { dll_mp3stop(a); }
		   IF( COMMAND == MP3_BALANCE ) { dll_mp3setbalance(a,INDEX); }
		   IF( COMMAND == MP3_POSITION ) { dll_mp3setposition(a,INDEX); }
	   }
	   a+=1;
	}
}


//sets the volume for one single track
FUNCTION dll_mp3setvolume(id,volume)
{
	var b; 
	volume=volume;
	b = dll_mastervolume_0percent + (volume/1000)*(abs(dll_mastervolume_0percent));
	dll_mp3orginalvolume[id] = b;
	dll_mp3setvol(id,b);
}